<!doctype html>
<html>
<head>

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>Print Receipt <?php echo e($transaction['id']); ?></title>

    <style>
        body {
            font-size: 10pt;
            font-family: '<?php echo e(config('pdf.default_font')); ?>';
        }

        @page  {
            sheet-size: 220mm 110mm;
        }

        table td {
            padding: 8pt;
        }


    </style>

</head>
<body dir="<?php echo e(visual()); ?>">

<h4><?php echo e(trans('transactions.transaction_details')); ?></h4>

<table width="100%">
    <tr>
        <td><?php echo e(trans('transactions.payment_date')); ?> : <?php echo e(dateFormat($transaction['payment_date'])); ?></td>
        <td><?php echo e(trans('transactions.transaction_id')); ?> : <?php echo e(prefix(4)); ?># <?php echo e($transaction['id']); ?></td>
        <td>   <?php if($transaction['trans_category_id']): ?><?php echo e(trans('transactions.trans_category_id')); ?>

            :  <?php echo e($transaction->category->name); ?> <?php endif; ?></td>
    </tr>
</table>

<hr>
<table width="100%">
    <tr>
        <td style="width: 200pt">
            <strong><?php echo e((config('core.cname'))); ?></strong><br>
            <?php echo e((config('core.address'))); ?>,<br>
            <?php echo e((config('core.city'))); ?>, <?php echo e((config('core.region'))); ?><br>
            <?php echo e((config('core.cname'))); ?> - <?php echo e((config('core.postbox'))); ?><br>
            <?php echo e(trans('general.phone')); ?>: <?php echo e((config('core.phone'))); ?><br>
            <?php echo e(trans('general.email')); ?>: <?php echo e((config('core.email'))); ?><br>
            <?php if(config('core.taxid')): ?>
                <?php echo e(trans('general.tax_id')); ?>: <?php echo e(config('core.taxid')); ?>

            <?php endif; ?>
        </td>

        <?php if($transaction['transaction_type']=='Income'): ?>

            <td style="width: 200pt"><strong><?php echo e(trans('payments.received_from')); ?></strong> <br>
                <?php if($transaction['payer_id']>0): ?>
                    <?php echo e($transaction->customer->name); ?><br>
                    <?php echo e($transaction->customer->address); ?>, <?php echo e($transaction->customer->city); ?><br>
                    <?php echo e($transaction->customer->region); ?>, <?php echo e($transaction->customer->country); ?>

                    - <?php echo e($transaction->customer->postbox); ?><br>
                    <?php echo e(trans('general.phone')); ?> : <?php echo e($transaction->customer->phone); ?><br>
                    <?php echo e(trans('general.email')); ?> : <?php echo e($transaction->customer->email); ?><br>
                    <?php if($transaction->customer->taxid): ?> <?php echo e(trans('general.tax_id')); ?>: <?php echo e($transaction->customer->taxid); ?>

                    <br>
                    <?php endif; ?>
                <?php else: ?>
                    <?php echo e($transaction['payer']); ?>

                <?php endif; ?>


            </td>

        <?php endif; ?>

        <?php if($transaction['transaction_type']=='Expense'): ?>

            <td style="width: 200pt"><strong><?php echo e(trans('payments.paid_to')); ?></strong><br>
                <?php if($transaction['payer_id']>0): ?>
                    <?php echo e($transaction->customer->name); ?><br>
                    <?php echo e($transaction->customer->address); ?>, <?php echo e($transaction->customer->city); ?><br>
                    <?php echo e($transaction->customer->region); ?>, <?php echo e($transaction->customer->country); ?>

                    - <?php echo e($transaction->customer->postbox); ?><br>
                    <?php echo e(trans('general.phone')); ?> : <?php echo e($transaction->customer->phone); ?><br>
                    <?php echo e(trans('general.email')); ?> : <?php echo e($transaction->customer->email); ?><br>
                    <?php if($transaction->customer->taxid): ?> <?php echo e(trans('general.tax_id')); ?>: <?php echo e($transaction->customer->taxid); ?>

                    <br>
                    <?php endif; ?>
                <?php else: ?>
                    <?php echo e($transaction['payer']); ?>

                <?php endif; ?>
            </td>
        <?php endif; ?>

        <td style="width: 200pt;text-align: right">
            <p><?php echo e(trans('transactions.debit')); ?> : <?php echo e(amountFormat($transaction['debit'])); ?></p>
            <p><?php echo e(trans('transactions.credit')); ?> : <?php echo e(amountFormat($transaction['credit'])); ?> </p></td>
    </tr>
</table>
<p><?php echo e(trans('general.note')); ?> : <?php echo e($transaction['note']); ?></p>
</body>
<?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/bill/print_receipt_v1.blade.php ENDPATH**/ ?>