<?php $__env->startSection('title', trans('labels.backend.purchaseorders.management')); ?>

<?php $__env->startSection('page-header'); ?>
    <h1><?php echo e(trans('labels.backend.purchaseorders.management')); ?></h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="">
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-6 col-12 mb-2">
                    <h4 class="content-header-title mb-0"><?php echo e(trans('labels.backend.purchaseorders.management')); ?></h4>

                </div>
                <div class="content-header-right col-md-6 col-12">
                    <div class="media width-250 float-right">

                        <div class="media-body media-right text-right">
                            <?php echo $__env->make('focus.purchaseorders.partials.purchaseorders-header-buttons', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php if($segment): ?>
                <?php
                    $total=$segment->invoices->sum('total');
                    $paid=$segment->invoices->sum('pamnt');
                    $due=$total-$paid;
                ?>
                <div class="card">

                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e($words['name']); ?> </p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e($words['name_data']); ?></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('customers.email')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e($segment->email); ?></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('general.total_amount')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e(amountFormat($total)); ?></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('payments.paid_amount')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e(amountFormat($paid)); ?></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('general.balance_due')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e(amountFormat($due)); ?></p>
                            </div>
                        </div>

                    </div>
                </div>
            <?php endif; ?>
            <div class="content-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">

                            <div class="card-content">

                                <div class="card-body">
                                    <table id="purchaseorders-table"
                                           class="table table-striped table-bordered zero-configuration" cellspacing="0"
                                           width="100%">
                                        <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo e(trans('purchaseorders.purchaseorder')); ?> #<?php echo e(prefix(9)); ?></th>
                                            <th><?php echo e(trans('suppliers.supplier')); ?></th>
                                            <th><?php echo e(trans('purchaseorders.invoicedate')); ?></th>
                                            <th><?php echo e(trans('general.amount')); ?></th>
                                            <th><?php echo e(trans('general.status')); ?></th>
                                            <th><?php echo e(trans('labels.general.actions')); ?></th>

                                        </tr>
                                        </thead>


                                        <tbody></tbody>
                                    </table>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('after-scripts'); ?>
    
    <?php echo e(Html::script(mix('js/dataTable.js'))); ?>

    <script>
        $(function () {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var dataTable = $('#purchaseorders-table').dataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                stateSave: true,
                language: {
                    <?php echo app('translator')->get('datatable.strings'); ?>
                },
                ajax: {
                    url: '<?php echo e(route("biller.purchaseorders.get")); ?>',
                    type: 'post',
                    <?php if($segment): ?> data: {i_rel_id: '<?php echo e($segment['id']); ?>', i_rel_type: '<?php echo e($input['rel_type']); ?>'},<?php endif; ?>
                },
                columns: [
                    {data: 'DT_Row_Index', name: 'id'},
                    {data: 'tid', name: 'tid'},
                    {data: 'supplier_id', name: 'supplier_id'},
                    {data: 'created_at', name: 'created_at'},
                    {data: 'total', name: 'total'},
                    {data: 'status', name: 'status'},
                    {data: 'actions', name: 'actions', searchable: false, sortable: false}
                ],
                order: [[1, "asc"]],
                searchDelay: 500,
                dom: 'Blfrtip',
                buttons: {
                    buttons: [

                        {extend: 'csv', footer: true, exportOptions: {columns: [1, 2, 3, 4, 5]}},
                        {extend: 'excel', footer: true, exportOptions: {columns: [1, 2, 3, 4, 5]}},
                        {extend: 'print', footer: true, exportOptions: {columns: [1, 2, 3, 4, 5]}}
                    ]
                }
            });
            $('#purchaseorders-table_wrapper').removeClass('form-inline');

        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/purchaseorders/index.blade.php ENDPATH**/ ?>