<!-- Modal HTML -->
<div id="modal_bill_payment_1" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">

                <h4 class="modal-title"><?php echo e(trans('general.payment_confirmation')); ?></h4>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            </div>

            <div class="modal-body">
                <form class="payment" id="bill_payment_1">
                    <div class="row">
                        <div class="col">
                            <fieldset class="form-group position-relative has-icon-left">
                                <input type="text" class="form-control required"
                                       placeholder="<?php echo e(trans('general.total_amount')); ?>" name="amount"
                                       id="remains"
                                       value="<?php echo e(numberFormat($invoice['total']-$invoice['pamnt'])); ?>"
                                       inputMode="numeric">
                                <div class="form-control-position font-small-2 blue"><span
                                            class="fa fa-credit-card "></span> <?php echo e(config('currency.symbol')); ?>

                                </div>

                            </fieldset>


                        </div>
                        <div class="col">
                            <fieldset class="form-group position-relative has-icon-left">
                                <input type="text" class="form-control required"
                                       placeholder="<?php echo e(trans('general.payment_date')); ?>" name="payment_date"
                                       data-toggle="datepicker">
                                <div class="form-control-position">
                      <span class="fa fa-calendar"
                            aria-hidden="true"></span>
                                </div>

                            </fieldset>


                        </div>
                    </div>

                    <div class="row">
                        <div class="col mb-1"><label
                                    for="method"><?php echo e(trans('general.payment_method')); ?></label>
                            <select name="method" class="form-control mb-1">
                                <?php $__currentLoopData = payment_methods(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment_method): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($payment_method); ?>"><?php echo e($payment_method); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <option value="Card">Card</option>
                                <option value="Wallet">Wallet <?php echo e(trans('payments.wallet_balance')); ?></option>
                            </select>
                            <label for="account_id"><?php echo e(trans('accounts.account')); ?></label>

                            <select name="account_id" class="form-control">
                                <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($account['id']); ?>"><?php echo e($account['number']); ?>

                                        - <?php echo e($account['holder']); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select></div>
                    </div>
                    <div class="row">
                        <div class="col mb-1"><label
                                    for="note"><?php echo e(trans('general.note')); ?></label>
                            <input type="text" class="form-control"
                                   name="note" placeholder="<?php echo e(trans('general.note')); ?>"
                                   value="<?php echo e($words['pay_note']); ?>"></div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" class="form-control required"
                               name="bill_id" id="invoiceid" value="<?php echo e($invoice['id']); ?>">
                        <button type="button" class="btn btn-warning"
                                data-dismiss="modal"><?php echo e(trans('general.close')); ?></button>
                        <input type="hidden" name="cid" value="<?php echo e($invoice['customer_id']); ?>">
                        <button type="button" class="btn btn-primary actionTransaction"
                                data-form="1"><?php echo e(trans('general.make_payment')); ?></button>
                        <input type="hidden" id="modal_error_message_1" value="<?php echo e(trans('payments.payment_error')); ?>">
                        <input type="hidden" id="action_url_1" value="<?php echo e(route( 'biller.bill_payment' )); ?>">
                        <input type="hidden" name="relation_id" value="<?php echo e($category); ?>">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/modal/payment_model.blade.php ENDPATH**/ ?>