<?php $__env->startSection('title', $lang['title'].' | ' . trans('features.reports')); ?>
<?php $__env->startSection('content'); ?>
    <div class="">
        <div class="content-wrapper">
            <div class="content-body">
                <div class="card">
                    <div class="card-header">
                        <h5> <?php echo e($lang['title']); ?></h5>
                        <a class="heading-elements-toggle"><i class="fa fa-ellipsis-v font-medium-3"></i></a>
                        <div class="heading-elements">
                            <ul class="list-inline mb-0">
                                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                                <li><a data-action="close"><i class="ft-x"></i></a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="card-content">
                        <div id="notify" class="alert alert-success" style="display:none;">
                            <a href="#" class="close" data-dismiss="alert">&times;</a>

                            <div class="message"></div>
                        </div>
                        <div class="card-body">
                            <?php echo $__env->make('focus.report.'.$lang['module'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('extra-scripts'); ?>
    <?php echo e(Html::script('focus/js/select2.min.js')); ?>

    <script type="text/javascript">
        $('[data-toggle="datepicker"]').datepicker({
            autoHide: true,
            format: '<?php echo e(config('core.user_date_format')); ?>'
        });
        $('.from_date').datepicker('setDate', '<?php echo e(dateFormat(date('Y-m-d', strtotime('-30 days', strtotime(date('Y-m-d')))))); ?>');
        $('.from_date').datepicker({autoHide: true, format: '<?php echo e(date(config('core.user_date_format'))); ?>'});
        $('.to_date').datepicker('setDate', 'today');
        $('.to_date').datepicker({autoHide: true, format: '<?php echo e(date(config('core.user_date_format'))); ?>'});

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $("#person").select2({
            tags: [],
            ajax: {
                <?php if($lang['module']=='customer_statement' OR $lang['module']=='product_customer_statement'): ?>
                url: '<?php echo e(route('biller.customers.select')); ?>',
                <?php elseif($lang['module']=='supplier_statement' OR $lang['module']=='product_supplier_statement'): ?>
                url: '<?php echo e(route('biller.suppliers.select')); ?>',
                <?php endif; ?>
                dataType: 'json',
                type: 'POST',
                quietMillis: 50,
                data: function (person) {
                    return {
                        person: person
                    };
                },
                processResults: function (data) {
                    return {
                        results: $.map(data, function (item) {
                            return {
                                text: item.name,
                                id: item.id
                            }
                        })
                    };
                },
            }
        });

        $("#products_l").select2();
        $("#wfrom").on('change', function () {
            var tips = $('#wfrom').val();
            $("#products_l").select2({
                ajax: {
                    url: '<?php echo e(route('biller.products.product_search_post',['label'])); ?>',
                    dataType: 'json',
                    type: 'POST',
                    quietMillis: 50,
                    data: function (product) {

                        return {
                            keyword: product,
                            wid: tips

                        };
                    },
                    processResults: function (data) {
                        return {
                            results: $.map(data, function (item) {
                                return {
                                    text: item.name,
                                    id: item.id
                                }
                            })
                        };
                    },
                }
            });
        });

    </script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('after-styles'); ?>
<style>


</style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/report/general_statement.blade.php ENDPATH**/ ?>