<?php $__env->startSection('title', trans('labels.backend.customers.management') . ' | ' . trans('labels.backend.customers.create')); ?>

<?php $__env->startSection('page-header'); ?>
    <h1>
        <?php echo e(trans('labels.backend.customers.management')); ?>

        <small><?php echo e(trans('labels.backend.customers.create')); ?></small>
    </h1>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="">
        <div class="content-wrapper">
            <div class="content-header row">
            </div>
            <div class="content-detached content-right">
                <div class="content-body">
                    <div class="content-overlay"></div>


                    <section class="row all-contacts">
                        <div class="col-12">
                            <div class="card">

                                <div class="card-content">
                                    <div class="card-body">
                                        <!-- Task List table --><span class=" float-right m-1">

<a href="<?php echo e(route('biller.customers.show',[$customer->id])); ?>" class="btn btn-blue btn-outline-accent-5 btn-sm"><i
            class="fa fa-eye"></i> <?php echo e(trans('hrms.profile')); ?></a>
                                      <?php if(access()->allow('wallet')): ?> <a class="btn btn-pink btn-outline-accent-5 btn-sm"
                                                                        href="<?php echo e(route('biller.customers.wallet')); ?>?rel_id=<?php echo e($customer->id); ?>">
                                           <span class="icon-wallet"></span> <?php echo e(trans('customers.wallet')); ?> </a><?php endif; ?>
                                            <?php if(access()->allow('make-payment')): ?>         <a href="#modal_bill_payment_1"
                                                                                            data-toggle="modal"
                                                                                            data-remote="false"
                                                                                            data-type="reminder"
                                                                                            class="btn btn-purple btn-outline-accent-5 btn-sm"
                                                                                            title="Partial Payment"><span
                                                        class="fa fa-money"></span> <?php echo e(trans('general.make_payment')); ?> </a>
                                            <?php endif; ?>


                                            <a href="#sendEmailCustomer" data-toggle="modal"
                                               data-remote="false"
                                               class="btn btn-pink btn-outline-accent-5 btn-sm"><i
                                                        class="fa fa-paper-plane-o"></i> <?php echo e(trans('general.email')); ?>

                                    </a>
 <?php if(access()->allow('edit-customer')): ?> <a href="<?php echo e(route('biller.customers.edit',[$customer->id])); ?>"
                                          class="btn btn-blue btn-outline-accent-5 btn-sm"><i
                                                        class="fa fa-pencil"></i> <?php echo e(trans('buttons.general.crud.edit')); ?></a> <?php endif; ?>  </span>
                                        <div class="card-body">

                                            <?php echo $__env->yieldContent('customer_view'); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
            <div class="sidebar-detached sidebar-left">
                <div class="sidebar">
                    <div class="bug-list-sidebar-content">
                        <!-- Predefined Views -->
                        <div class="card">
                            <div class="card-head">
                                <div class="media-body media p-1">
                                    <div class="media-middle pr-1"><span
                                                class="avatar avatar-lg rounded-circle ml-2"><img
                                                    src="<?php echo e(Storage::disk('public')->url('app/public/img/customer/' . $customer->picture)); ?>"
                                                    alt="avatar"><i></i></span></div>

                                </div>
                                <div class="media-body media-middle p-1">
                                    <h5 class="media-heading"><?php echo e($customer['name']); ?> </h5>
                                </div>
                            </div>

                            <div class="card-body">
                                <p class="lead"> <?php echo e(trans('general.related')); ?></p>
                                <ul class="list-group">
                                    <li class="list-group-item">
                                        <span class="badge badge-primary badge-pill float-right"><?php echo e(numberFormat($customer->invoices->count('id'))); ?></span>
                                        <a href="<?php echo e(route('biller.invoices.index')); ?>?rel_type=1&rel_id=<?php echo e($customer->id); ?>">
                                            <?php echo e(trans('invoices.invoices_c')); ?></a>
                                    </li>
                                    <li class="list-group-item">
                                        <span class="badge bg-purple badge-pill float-right"><?php echo e(numberFormat($customer->amount->count('id'))); ?></span>
                                        <a href="<?php echo e(route('biller.transactions.index')); ?>?rel_type=1&rel_id=<?php echo e($customer->id); ?>">
                                            <?php echo e(trans('transactions.transactions')); ?></a>
                                    </li>
                                    <li class="list-group-item">
                                        <span class="badge bg-purple badge-pill float-right"><?php echo e(numberFormat($customer->projects->count('id'))); ?></span>
                                        <a href="<?php echo e(route('biller.projects.index')); ?>?rel_type=1&rel_id=<?php echo e($customer->id); ?>">
                                            <?php echo e(trans('projects.projects')); ?></a>
                                    </li>

                                    <li class="list-group-item">
                                        <span class="badge bg-purple badge-pill float-right"><?php echo e(amountFormat($customer->balance)); ?></span>
                                        <a <?php if(access()->allow('wallet')): ?>   href="<?php echo e(route('biller.customers.wallet')); ?>?rel_id=<?php echo e($customer->id); ?>" <?php endif; ?>>
                                            <?php echo e(trans('customers.wallet')); ?> </a>
                                    </li>

                                </ul>
                            </div>
                            <!--/ Groups-->

                            <!-- contacts view -->
                            <div class="card-body border-top-blue-grey border-top-lighten-5">
                                <div class="list-group">

                                    <a href="<?php echo e(route('biller.customers.create')); ?>?rel_type=1&rel_id=<?php echo e($customer->id); ?>"
                                       class="list-group-item list-group-item-action "><i
                                                class="fa fa-plug"></i> <?php echo e(trans('customers.add_contact')); ?></a> <a
                                            class="list-group-item nav-link " id="active-tab4" data-toggle="tab"
                                            href="#active4" aria-controls="active1"
                                            role="tab"><i
                                                class="fa fa-address-book"></i> <?php echo e(trans('customers.contacts')); ?></a>

                                </div>
                            </div>

                            <!-- Groups-->


                        </div>
                        <!--/ Predefined Views -->

                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make("focus.modal.customer_email_model", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make("focus.customers.modal.bulk_payment_model", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('after-scripts'); ?>
    
    <?php echo e(Html::script(mix('js/dataTable.js'))); ?>


    <script>
        //Below written line is short form of writing $(document).ready(function() { })
        $(function () {
            $('[data-toggle="datepicker"]').datepicker({
                autoHide: true,
                format: '<?php echo e(config('core.user_date_format')); ?>'
            });
            $('[data-toggle="datepicker"]').datepicker('setDate', '<?php echo e(date(config('core.user_date_format'))); ?>');
            $(document).on('click', ".customer_active", function (e) {
                var cid = $(this).attr('data-cid');
                var active = $(this).attr('data-active');
                if (active == 1) {
                    $(this).removeClass('checked');
                    $(this).attr('data-active', 0);
                } else {
                    $(this).addClass('checked');
                    $(this).attr('data-active', 1);
                }

         $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
                $.ajax({
                    url: '<?php echo e(route("biller.customers.active")); ?>',
                    type: 'post',
                    data: {'cid': cid, 'active': active}
                });
            });


            var dataTable = $('#customers-table').dataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                ajax: {
                    url: '<?php echo e(route("biller.customers.get")); ?>',
                    type: 'post',
                    data: {g_rel_id: '<?php echo e($customer['id']); ?>', g_rel_type: '1'},
                },
                columns: [

                    {data: 'name', name: 'name'},

                    {data: 'email', name: 'email'},
                    {data: 'address', name: 'address'},

                    {data: 'created_at', name: 'created_at'},
                    {data: 'actions', name: 'actions', searchable: false, sortable: false}
                ],
                order: [[0, "asc"]],
                searchDelay: 500,
                dom: 'Blfrtip',
                buttons: {
                    buttons: [
                        {extend: 'csv', footer: true, exportOptions: {columns: [0, 1]}},
                        {extend: 'excel', footer: true, exportOptions: {columns: [0, 1]}},
                        {extend: 'print', footer: true, exportOptions: {columns: [0, 1]}}
                    ]
                }
            });
            $('#customers-table_wrapper').removeClass('form-inline');

            $('.summernote').summernote({
                height: 150,
                toolbar: [
                    // [groupName, [list of button]]
                    ['style', ['bold', 'italic', 'underline', 'clear']],
                    ['font', ['strikethrough', 'superscript', 'subscript']],
                    ['fontsize', ['fontsize']],
                    ['color', ['color']],
                    ['para', ['ul', 'ol', 'paragraph']],
                    ['height', ['height']],
                    ['fullscreen', ['fullscreen']],
                    ['codeview', ['codeview']]
                ],
                popover: {}
            });

        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app',['page'=>'class="horizontal-layout horizontal-menu content-detached-left-sidebar app-contacts " data-open="click" data-menu="horizontal-menu" data-col="content-detached-left-sidebar"'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/customers/layout/view.blade.php ENDPATH**/ ?>