<?php $__env->startSection('title', trans('labels.backend.transactions.management')); ?>

<?php $__env->startSection('page-header'); ?>
    <h1><?php echo e(trans('labels.backend.transactions.management')); ?></h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="">
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-6 col-12 mb-2">
                    <h4 class="mb-0"><?php echo e(trans('labels.backend.transactions.management')); ?></h4>

                </div>
                <div class="content-header-right col-md-6 col-12">
                    <div class="media width-250 float-right">

                        <div class="media-body media-right text-right">
                            <?php echo $__env->make('focus.transactions.partials.transactions-header-buttons', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php if(isset($input['rel_type'])): ?>
                <div class="card">

                    <div class="card-body">


                        <?php if($input['rel_type']==0): ?>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e($words['name']); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e($words['name_data']); ?></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e(trans('general.description')); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e($segment['note']); ?></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e(trans('transactions.debit')); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e(amountFormat($segment->amount->sum('debit'))); ?></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e(trans('transactions.credit')); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e(amountFormat($segment->amount->sum('credit'))); ?></p>
                                </div>
                            </div>
                        <?php endif; ?>
                        <?php if($input['rel_type']==9): ?>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e($words['name']); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e($words['name_data']); ?></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e(trans('accounts.number')); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e($segment['number']); ?></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e(trans('transactions.debit')); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e(amountFormat($segment->amount->sum('debit'))); ?></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e(trans('transactions.credit')); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e(amountFormat($segment->amount->sum('credit'))); ?></p>
                                </div>
                            </div>
                        <?php endif; ?>
                        <?php if($input['rel_type']>0 AND $input['rel_type']<9): ?>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e($words['name']); ?> </p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo $words['url']; ?></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e(trans('customers.email')); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e($segment['email']); ?></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e(trans('transactions.debit')); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e(amountFormat($segment->amount->sum('debit'))); ?></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e(trans('transactions.credit')); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e(amountFormat($segment->amount->sum('credit'))); ?></p>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            <?php endif; ?>
            <div class="content-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">

                            <div class="card-content">

                                <div class="card-body">
                                    <table id="transactions-table"
                                           class="table table-striped table-bordered zero-configuration" cellspacing="0"
                                           width="100%">
                                        <thead>
                                        <tr>
                                            <th><?php echo e(trans('labels.backend.transactions.table.id')); ?></th>
                                            <th><?php echo e(trans('transactions.account_id')); ?></th>
                                            <th><?php echo e(trans('transactions.trans_category_id')); ?></th>
                                            <th><?php echo e(trans('transactions.debit')); ?></th>
                                            <th><?php echo e(trans('transactions.credit')); ?></th>
                                            <th><?php echo e(trans('transactions.payer')); ?></th>
                                            <th><?php echo e(trans('transactions.payment_date')); ?></th>
                                            <th><?php echo e(trans('labels.general.actions')); ?></th>
                                        </tr>
                                        </thead>


                                        <tbody>
                                        <tr>
                                            <td colspan="100%" class="text-center text-success font-large-1"><i
                                                        class="fa fa-spinner spinner"></i></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('after-scripts'); ?>
    
    <?php echo e(Html::script(mix('js/dataTable.js'))); ?>

    <script>
        $(function () {
            setTimeout(function () {
                draw_data()
            }, <?php echo e(config('master.delay')); ?>);
        });

        function draw_data() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var dataTable = $('#transactions-table').dataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                stateSave: true,

                language: {
                    <?php echo app('translator')->get('datatable.strings'); ?>
                },
                ajax: {
                    url: '<?php echo e(route("biller.transactions.get")); ?>',
                    type: 'post',
                    <?php if(isset($input['rel_type'])): ?> data: {
                        p_rel_id: '<?php echo e($input['rel_id']); ?>',
                        p_rel_type: '<?php echo e($input['rel_type']); ?>'
                    },<?php endif; ?>
                },
                columns: [
                    {data: 'DT_Row_Index', name: 'id'},
                    {data: 'account_id', name: 'account_id'},
                    {data: 'trans_category_id', name: 'trans_category_id'},
                    {data: 'debit', name: 'debit'},
                    {data: 'credit', name: 'credit'},
                    {data: 'payer', name: 'payer'},
                    {data: 'payment_date', name: 'payment_date'},
                    {data: 'actions', name: 'actions', searchable: false, sortable: false}
                ],
                order: [[0, "asc"]],
                searchDelay: 500,
                dom: 'Blfrtip',
                buttons: {
                    buttons: [

                        {extend: 'csv', footer: true, exportOptions: {columns: [0, 1,2, 3, 4, 5,6]}},
                        {extend: 'excel', footer: true, exportOptions: {columns: [0, 1,2, 3, 4, 5,6]}},
                        {extend: 'print', footer: true, exportOptions: {columns: [0, 1,2, 3, 4, 5,6]}}
                    ]
                }
            });
            $('#transactions-table_wrapper').removeClass('form-inline');

        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/transactions/index.blade.php ENDPATH**/ ?>