<?php $__env->startSection('title', trans('labels.backend.hrms.management')); ?>

<?php $__env->startSection('page-header'); ?>
    <h1><?php echo e(trans('labels.backend.hrms.management')); ?></h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <div class="">
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-6 col-12 mb-2">
                    <h4 class="content-header-title mb-0"><?php echo e($title); ?></h4>

                </div>
                <div class="content-header-right col-md-6 col-12">
                    <div class="media width-250 float-right">

                        <div class="media-body media-right text-right">
                            <?php echo $__env->make('focus.hrms.partials.hrms-header-buttons', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">

                            <div class="card-content">

                                <div class="card-body">
                                    <table id="hrms-table"
                                           class="table table-striped table-bordered zero-configuration" cellspacing="0"
                                           width="100%">
                                        <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo e(trans('hrms.employees')); ?></th>
                                            <th><?php echo e(trans('hrms.role')); ?></th>
                                            <th><?php echo e(trans('hrms.email')); ?></th>
                                            <th><?php echo e(trans('hrms.picture')); ?></th>
                                            <?php if($flag): ?>
                                                <th><?php echo e(trans('hrms.status')); ?></th>
                                                <th><?php echo e(trans('labels.backend.hrms.table.createdat')); ?></th>
                                                <th><?php echo e(trans('labels.general.actions')); ?></th>
                                            <?php endif; ?>
                                        </tr>
                                        </thead>


                                        <tbody>
                                        <tr>
                                            <td colspan="8" class="text-center text-success font-large-1"><i
                                                        class="fa fa-spinner spinner"></i></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('after-scripts'); ?>
    
    <?php echo e(Html::script(mix('js/dataTable.js'))); ?>

    <script>
        $(function () {
            setTimeout(function () {
                draw_data()
            }, <?php echo e(config('master.delay')); ?>);
        });

        function draw_data() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $(document).on('click', ".user_active", function (e) {
                var cid = $(this).attr('data-cid');
                var active = $(this).attr('data-active');
                if (active == 1) {
                    $(this).removeClass('checked');
                    $(this).attr('data-active', 0);
                } else {
                    $(this).addClass('checked');
                    $(this).attr('data-active', 1);
                }



                $.ajax({
                    url: '<?php echo e(route("biller.hrms.active")); ?>',
                    type: 'post',
                    data: {'cid': cid, 'active': active}
                });
            });

            var dataTable = $('#hrms-table').dataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                language: {
                    <?php echo app('translator')->get('datatable.strings'); ?>
                },
                ajax: {
                    url: '<?php echo e(route("biller.hrms.get")); ?>',
                    type: 'post'
                    <?php if(request('rel_type')>0): ?> ,
                    data: {rel_type:<?php echo e(request('rel_type')); ?>, rel_id:<?php echo e(request('rel_id',0)); ?>} <?php endif; ?>
                },
                columns: [
                    {data: 'DT_Row_Index', name: 'id'},
                    {data: 'name', name: 'name'},
                    {data: 'role', name: 'role'},
                    {data: 'email', name: 'email'},
                    {data: 'picture', name: 'picture'},
                        <?php if($flag): ?>             {data: 'active', name: 'active'},
                    {data: 'created_at', name: 'created_at'},
                    {data: 'actions', name: 'actions', searchable: false, sortable: false}
                    <?php endif; ?>
                ],
                order: [[0, "asc"]],
                searchDelay: 500,
                dom: 'Blfrtip',
                buttons: {
                    buttons: [
                        {extend: 'csv', footer: true, exportOptions: {columns: [0, 1,2, 3]}},
                        {extend: 'excel', footer: true, exportOptions: {columns: [0, 1,2, 3]}},
                        {extend: 'print', footer: true, exportOptions: {columns: [0, 1,2, 3]}}
                    ]
                }
            });
            $('#hrms-table_wrapper').removeClass('form-inline');

        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/hrms/index.blade.php ENDPATH**/ ?>