<!doctype html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>Print <?php echo e($general['bill_type']); ?> <?php echo e($invoice['tid']); ?></title>
    <style>
        body {
            color: #2B2000;
            font-family: '<?php echo e(config('pdf.default_font')); ?>';
            font-size: 12pt;
            background-color: #fff;
        }

        @page  {
            margin-top: 4mm;
            margin-left: 8mm;
            margin-right: 8mm;
        }

        .invoice-box {
            width: 210mm;
            padding: 0mm;
            border: 0;
            font-size: 11pt;
            line-height: 12pt;
            color: #000;
        }

        .party {
            border: #ccc 1px solid;
        }
        .party td {
            padding: 10pt;


        }

        table tr.heading td {
            background: #515151;
            color: #FFF;
            padding: 8pt;
        }

        .company {
            width: 300pt;
        }

        .customer {
            width: 290pt;
        }

        .bill_info {
            font-size: 10pt;
        }

        .heading {
            width: 900pt;
        }


        .m_fill {
            background-color: #f5f5f5;
        }

        .product_list td {
            padding: 4px;
        }

        .product_row td {
            border: 1px solid #ddd;
        }

        .summary td {
            padding-left: 8pt;
            padding-right: 8pt;
            margin: 2px;
            border: 1px solid #ccc;


        }

        .sign {
            text-align: center;
            margin-bottom: 4pt
        }

        .logo_box {
            width: 60%;
            align: left;
        }

        .date_box {
            width: 30%;
            align: right;
        }

        .text_center {
            text-align: center;
        }

        .bill_title{
            text-align: center;
            font-size: 16pt;

            font-weight: bold;
        }

        .text_right {
            text-align: right;
        }

        .sign_box {
            display: block;
            margin-left: 400pt;
            width: 100pt;
            align: right;
        }

        .row {
            width: 100%;
        }

        .bottom_focus{
            font-size: 12pt;font-weight: bold
        }



    </style>
</head>
<body dir="<?php echo e($general['direction']); ?>">
<div class="information">
    <table width="100%">
        <tr>
            <td class="logo_box">
                <img src="<?php echo e(Storage::disk('public')->url('app/public/img/company/' . $company['logo'])); ?>"
                     class="top_logo" height="120">
            </td>

            <td class="date_box">
                <table class="bill_info">
                    <tr>
                        <td colspan="2" class="bill_title"><?php echo e($general['bill_type']); ?></td>
                    </tr>
                    <tr>
                        <td><?php echo e($general['lang_bill_number']); ?></td>
                        <td>: <?php echo e(prefix($general['prefix'],$invoice['ins'])); ?> # <?php echo e($invoice['tid']); ?></td>
                    </tr>
                    <tr>
                        <td><?php echo e($general['lang_bill_date']); ?></td>
                        <td>: <?php echo e(dateFormat($invoice['invoicedate'],$company['main_date_format'])); ?></td>
                    </tr>
                    <tr>
                        <td><?php echo e($general['lang_bill_due_date']); ?></td>
                        <td>: <?php echo e(dateFormat($invoice['invoiceduedate'],$company['main_date_format'])); ?></td>
                    </tr>
                    <?php if($invoice['refer']): ?>
                        <tr>
                            <td><?php echo e(trans('general.reference')); ?></td>
                            <td>: <?php echo e($invoice['refer']); ?></td>
                        </tr>
                    <?php endif; ?>
                </table>


            </td>
        </tr>
    </table>
</div>
<br>
<div class="invoice-box">

    <table class="party" cellpadding="0" cellspacing="0">
        <thead>
        <tr class="heading">
            <td> <?php echo e(trans('general.our_info')); ?>:</td>
            <td><?php echo e($general['person']); ?>:</td>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td class="company">
                 <strong><?php echo e($company['cname']); ?></strong><br>
                <?php echo e($company['address']); ?>,<br>
                <?php echo e($company['city']); ?>, <?php echo e($company['region']); ?><br>
                <?php echo e($company['country']); ?> - <?php echo e($company['postbox']); ?><br>
                <?php echo e(trans('general.phone')); ?>: <?php echo e($company['phone']); ?><br>
                <?php echo e(trans('general.email')); ?>: <?php echo e($company['email']); ?><br>
                <?php if($company['taxid']): ?>
                    <?php echo e($general['tax_id']); ?>: <?php echo e($company['taxid']); ?>

                <?php endif; ?>
                 <?php echo custom_fields_view(6,$invoice->ins,3,$invoice->ins); ?>

            </td>
            <td class="customer">
               <strong> <?php echo e($invoice->customer->name); ?></strong><br>   <strong> <?php echo e($invoice->customer->company); ?></strong><br>
                <?php echo e($invoice->customer->address); ?>, <?php echo e($invoice->customer->city); ?><br>
                <?php echo e($invoice->customer->region); ?>, <?php echo e($invoice->customer->country); ?> - <?php echo e($invoice->customer->postbox); ?><br>
                <?php echo e(trans('general.phone')); ?> : <?php echo e($invoice->customer->phone); ?><br>
                <?php echo e(trans('general.email')); ?> : <?php echo e($invoice->customer->email); ?><br>
                <?php if($invoice->customer->taxid): ?> <?php echo e($general['tax_id']); ?>: <?php echo e($invoice->customer->taxid); ?><br>
                <?php endif; ?>
                <?php echo custom_fields_view($invoice['person'],$invoice['person_id'],2,$invoice['ins']); ?>

            </td>
        </tr><?php if($invoice->customer->name_s): ?>
            <tr>
                <td><br><strong><?php echo e(trans('customers.address_s')); ?></strong><br> <?php echo e($invoice->customer->name_s); ?><br>
                    <?php echo e($invoice->customer->address_s); ?>, <?php echo e($invoice->customer->city_s); ?><br>
                    <?php echo e($invoice->customer->region_s); ?>, <?php echo e($invoice->customer->country_s); ?>

                    <?php if($invoice->customer->postbox_s): ?>- <?php echo e($invoice->customer->postbox_s); ?> <?php endif; ?><br>
                    <?php echo e(trans('general.phone')); ?> : <?php echo e($invoice->customer->phone_s); ?>,<br>
                    <?php echo e(trans('general.email')); ?> : <?php echo e($invoice->customer->email_s); ?></td>
            </tr>
        <?php endif; ?>
        </tbody>
    </table>
    <br>
    <?php
        $fill = true;
    ?>
    <table class="product_list" cellpadding="0" cellspacing="0" width="100%">

        
        <?php if($invoice['tax_format']=='exclusive' OR $invoice['tax_format']=='inclusive'  OR $invoice['tax_format']=='off'): ?>
            <tr class="heading">
                <td style="width: 1rem;">
                    #
                </td>
                <td>
                    <?php echo e(trans('products.product_des')); ?>

                </td>
                <td>
                    <?php echo e(trans('products.qty')); ?>

                </td>
                <td>
                    <?php echo e(trans('products.price')); ?>

                </td>
                <?php if($invoice['tax']>0): ?>
                    <td><?php echo e(trans('general.tax')); ?></td><?php endif; ?>
                <?php if($invoice['discount']>0): ?>
                    <td><?php echo e(trans('general.discount')); ?></td><?php endif; ?>
                <td>
                    <?php echo e(trans('general.subtotal')); ?>

                </td>
            </tr>

            <?php $__currentLoopData = $invoice->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    if ($fill == true) {
                      $flag = ' m_fill';
                  } else {
                      $flag = '';
                  }
                   $fill = !$fill;
                $col_span=4;
                ?>
                <tr class="product_row <?php echo e($flag); ?>">
                    <td style="width: 1rem;">
                        <?php echo e($loop->iteration); ?>

                    </td>
                    <td>
                        <?php echo e($product['product_name']); ?> <?php if(isset($product['serial'])): ?><?php echo e($product['serial']); ?><?php endif; ?>
                    </td>
                    <td>
                        <?php echo e(numberFormat($product['product_qty'],$invoice['currency'])); ?> <?php echo e($product['unit']); ?>

                    </td>
                    <td>
                        <?php echo e(amountFormat($product['product_price'],$invoice['currency'])); ?>

                    </td>
                    <?php if($invoice['tax']>0): ?>
                        <?php $col_span++ ?>
                        <td><?php echo e(amountFormat($product['total_tax'],$invoice['currency'])); ?></td> <?php endif; ?>
                    <?php if($invoice['discount']>0): ?>
                        <?php $col_span++ ?>
                        <td><?php echo e(amountFormat($product['total_discount'],$invoice['currency'])); ?></td>
                    <?php endif; ?>
                    <td>
                        <?php echo e(amountFormat($product['product_subtotal'],$invoice['currency'])); ?>

                    </td>
                </tr>
                <?php if($product['product_des']): ?>
                    <tr class="product_row  <?php echo e($flag); ?>">
                        <td style="width: 1rem;">

                        </td>
                        <td class="" colspan="<?php echo e($col_span); ?>"> <?php echo $product['product_des']; ?> </td>

                    </tr>
                <?php endif; ?>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>

        

        <?php if($invoice['tax_format']=='cgst'): ?>
            <tr class="heading">
                <td style="width: 1rem;">
                    #
                </td>
                <td>
                    <?php echo e(trans('products.product_des')); ?>

                </td>
                <td>
                    <?php echo e(trans('products.qty')); ?>

                </td>
                <td>
                    <?php echo e(trans('products.price')); ?>

                </td>

                <td><?php echo e(trans('general.cgst')); ?></td>
                <td><?php echo e(trans('general.sgst')); ?></td>
                <?php if($invoice['discount']>0): ?>
                    <td><?php echo e(trans('general.discount')); ?></td><?php endif; ?>
                <td>
                    <?php echo e(trans('general.subtotal')); ?>

                </td>
            </tr>

            <?php $__currentLoopData = $invoice->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    if ($fill == true) {
                      $flag = ' m_fill';
                  } else {
                      $flag = '';
                  }
                   $fill = !$fill;
                $col_span=5;
                ?>
                <tr class="product_row <?php echo e($flag); ?>">
                    <td style="width: 1rem;">
                        <?php echo e($loop->iteration); ?>

                    </td>
                    <td>
                        <?php echo e($product['product_name']); ?>

                    </td>
                    <td>
                        <?php echo e(numberFormat($product['product_qty'],$invoice['currency'])); ?> <?php echo e($product['unit']); ?>

                    </td>
                    <td>
                        <?php echo e(amountFormat($product['product_price'],$invoice['currency'])); ?>

                    </td>


                    <td><?php echo e(amountFormat($product['total_tax']/2,$invoice['currency'])); ?> <span class="font-size-xsmall">(<?php echo e(numberFormat($product['product_tax']/2,$invoice['currency'])); ?>%)</span>
                    </td>
                    <td><?php echo e(amountFormat($product['total_tax']/2,$invoice['currency'])); ?> <span class="font-size-xsmall">(<?php echo e(numberFormat($product['product_tax']/2,$invoice['currency'])); ?>%)</span>
                    </td>
                    <?php if($invoice['discount']>0): ?>
                        <?php $col_span++ ?>
                        <td><?php echo e(amountFormat($product['total_discount'],$invoice['currency'])); ?></td>
                    <?php endif; ?>
                    <td>
                        <?php echo e(amountFormat($product['product_subtotal'],$invoice['currency'])); ?>

                    </td>
                </tr>
                <?php if($product['product_des']): ?>
                    <tr class="product_row  <?php echo e($flag); ?>">
                        <td style="width: 1rem;">

                        </td>
                        <td class="" colspan="7"><?php echo $product['product_des']; ?></td>

                    </tr>
                <?php endif; ?>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>

        

        <?php if($invoice['tax_format']=='igst'): ?>
            <tr class="heading">
                <td style="width: 1rem;">
                    #
                </td>
                <td>
                    <?php echo e(trans('products.product_des')); ?>

                </td>
                <td>
                    <?php echo e(trans('products.qty')); ?>

                </td>
                <td>
                    <?php echo e(trans('products.price')); ?>

                </td>

                <td><?php echo e(trans('general.igst')); ?></td>
                <?php if($invoice['discount']>0): ?>
                    <td><?php echo e(trans('general.discount')); ?></td><?php endif; ?>
                <td>
                    <?php echo e(trans('general.subtotal')); ?>

                </td>
            </tr>

            <?php $__currentLoopData = $invoice->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    if ($fill == true) {
                      $flag = ' m_fill';
                  } else {
                      $flag = '';
                  }
                   $fill = !$fill;
                $col_span=5;
                ?>
                <tr class="product_row <?php echo e($flag); ?>">
                    <td style="width: 1rem;">
                        <?php echo e($loop->iteration); ?>

                    </td>
                    <td>
                        <?php echo e($product['product_name']); ?>

                    </td>
                    <td>
                        <?php echo e(numberFormat($product['product_qty'],$invoice['currency'])); ?> <?php echo e($product['unit']); ?>

                    </td>
                    <td>
                        <?php echo e(amountFormat($product['product_price'],$invoice['currency'])); ?>

                    </td>


                    <td><?php echo e(amountFormat($product['total_tax'],$invoice['currency'])); ?> <span class="font-size-xsmall">(<?php echo e(numberFormat($product['product_tax'],$invoice['currency'])); ?>%)</span>
                    </td>
                    <?php if($invoice['discount']>0): ?>
                        <?php $col_span++ ?>
                        <td><?php echo e(amountFormat($product['total_discount'],$invoice['currency'])); ?></td>
                    <?php endif; ?>
                    <td>
                        <?php echo e(amountFormat($product['product_subtotal'],$invoice['currency'])); ?>

                    </td>
                </tr>
                <?php if($product['product_des']): ?>
                    <tr class="product_row  <?php echo e($flag); ?>">
                        <td style="width: 1rem;">

                        </td>
                        <td class="" colspan="7"><?php echo $product['product_des']; ?></td>

                    </tr>
                <?php endif; ?>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>
    </table>
    <br>

    <table class="summary" width="100%" cellspacing="0" cellpadding="4">
        <tr>
            <td style="width: 50%" rowspan="6"><br>
                <p class="bottom_focus"><?php echo e(trans('general.status')); ?>

                        : <?php echo e(trans('payments.'.$invoice['status'])); ?> <?php echo e($invoice['pmethod']); ?></p><br>
                <?php if($general['status_block']): ?>

                    <p><?php echo e(trans('general.grand_total')); ?> : <?php echo e(amountFormat($invoice['total'],$invoice['currency'])); ?></p>


                    <p><?php echo e(trans('general.round_off')); ?>: 0</p><br>
                    <p style="margin-bottom: 4pt"><?php echo e(trans('payments.paid_amount')); ?>: <?php echo e(amountFormat($invoice['pamnt'],$invoice['currency'])); ?></p>
                <?php endif; ?>
                <?php if(@$invoice['proposal']): ?>
                    <hr>
                    <?php echo e(trans('general.proposal')); ?>: </br></br>
                    <small><?php echo $invoice['proposal']; ?></small>
                <?php endif; ?>
            </td>
            <td class="text_right bottom_focus"><?php echo e(trans('general.summary')); ?></td>
            <td></td>

        </tr>
        <tr>
            <td class="text_right"> <?php echo e(trans('general.subtotal')); ?></td>
            <td> <?php echo e(amountFormat($invoice['subtotal'],$invoice['currency'])); ?></td>
        </tr>
        <?php if($invoice['tax']>0): ?>
            <tr>
                <td class="text_right"><?php echo e($general['tax_string_total']); ?> <?php if($invoice['tax_format']=='cgst'): ?>
                   <br> <small>CGST<br>SGST</small>
                 <?php endif; ?></td>
                <td> <?php echo e(amountFormat($invoice['tax'],$invoice['currency'])); ?>

 <?php if($invoice['tax_format']=='cgst'): ?>
                 <br>  </small>  <?php echo e(amountFormat($invoice['tax']/2,$invoice['currency'])); ?><br><?php echo e(amountFormat($invoice['tax']/2,$invoice['currency'])); ?></small>
                 <?php endif; ?>
                </td>
            </tr>
         <?php endif; ?>
         <?php if($invoice['tax_format']=='cgst'): ?>
            <tr>
                <td class="text_right"><?php echo e($general['tax_string_total']); ?></td>
                <td> <?php echo e(amountFormat($invoice['tax'],$invoice['currency'])); ?></td>
            </tr>
         <?php endif; ?>
         <?php if($invoice['discount']>0): ?><tr>
                    <td class="text_right"> <?php echo e(trans('general.discount')); ?></td>
                    <td> <?php echo e(amountFormat($invoice['discount'],$invoice['currency'])); ?></td>
            </tr>
        <?php endif; ?>
        <?php if($invoice['shipping']>0): ?>
            <tr>
                <td class="text_right"> <?php echo e(trans('general.shipping')); ?></td>
                <td> <?php echo e(amountFormat($invoice['shipping'],$invoice['currency'])); ?></td>
            </tr>
        <?php endif; ?>

        <?php if((($invoice['total']-$invoice['pamnt'])>0) AND ($general['status_block'])): ?>
            <tr>
                <td class="text_right"> <?php echo e(trans('general.balance_due')); ?></td>
                <td> <?php echo e(amountFormat($invoice['total']-$invoice['pamnt'],$invoice['currency'])); ?></td>
            </tr>
        <?php else: ?>
            <tr>
                <td class="text_right"> <?php echo e(trans('general.grand_total')); ?></td>
                <td> <?php echo e(amountFormat($invoice['total'],$invoice['currency'])); ?></td>
            </tr>
        <?php endif; ?>
    </table>
    <br>
    <div class="sign_box">
        <div class="sign"><?php echo e(trans('general.authorized_person')); ?></div>
        <div class="sign"><img
                    src="<?php echo e(Storage::disk('public')->url('app/public/img/signs/' . $invoice->user->signature)); ?>"
                    width="160"
                    height="50" border="0" alt=""></div>
        <div class="sign">(<?php echo e($invoice->user->first_name); ?> <?php echo e($invoice->user->last_name); ?>)</div>
    </div>
    <?php echo custom_fields_view($invoice['custom'],$invoice['id'],2,true); ?>

    <div class="terms"><?php echo e($invoice['notes']); ?>

        <hr>
        <h6><?php echo e(@$invoice->term->title); ?>:</h6>
        <?php echo @$invoice->term->terms; ?>

    </div>
</div>


</body>
</html>
<?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/bill/print_v1.blade.php ENDPATH**/ ?>