<?php $__env->startSection('title', trans('labels.backend.products.management')); ?>

<?php $__env->startSection('page-header'); ?>
    <h1><?php echo e(trans('labels.backend.products.management')); ?></h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="">
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-6 col-12 mb-2">
                    <h4 class="content-header-title mb-0"><?php echo e(trans('labels.backend.products.management')); ?></h4>

                </div>
                <div class="content-header-right col-md-6 col-12">
                    <div class="media width-250 float-right">

                        <div class="media-body media-right text-right">
                            <?php echo $__env->make('focus.products.partials.products-header-buttons', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php if($segment): ?>
                <div class="card">

                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php if(request('rel_type') == 2): ?><?php echo e(trans('warehouses.title')); ?><?php else: ?> <?php echo e(trans('productcategories.title')); ?> <?php endif; ?> </p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e($segment['title']); ?></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('productcategories.extra')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e($segment['extra']); ?></p>
                            </div>
                        </div> <?php if(!$segment['c_type']): ?>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e(trans('productcategories.total_products')); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e(numberFormat($segment->products->sum('qty'))); ?></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2">
                                    <p><?php echo e(trans('productcategories.total_worth')); ?></p>
                                </div>
                                <div class="col-sm-6">
                                    <p><?php echo e(amountFormat($segment->products->sum('total_value'))); ?></p>
                                </div>
                            </div>

                    </div>
                </div>
            <?php endif; ?>

            <?php if(isset($segment->subcategories[0])): ?>
                <div class="card p-1 bg-lighten-5">
                    <h4 class="mb-0"><?php echo e(trans('productcategories.sub_categories')); ?></h4>
                    <table id="productcategories-table"
                           class="table table-striped table-bordered zero-configuration" cellspacing="0"
                           width="100%">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th><?php echo e(trans('productcategories.title')); ?></th>
                            <th><?php echo e(trans('general.createdat')); ?></th>
                            <th><?php echo e(trans('labels.general.actions')); ?></th>
                        </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            <?php endif; ?>
            <?php endif; ?>
            <div class="content-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">

                            <div class="card-content">

                                <div class="card-body">
                                    <table id="products-table"
                                           class="table table-striped table-bordered zero-configuration" cellspacing="0"
                                           width="100%">
                                        <thead>
                                        <tr>
                                            <th><?php echo e(trans('labels.backend.products.table.id')); ?></th>
                                            <th><?php echo e(trans('products.name')); ?></th>
                                            <th><?php echo e(trans('products.productcategory_id')); ?></th>
                                            <th><?php echo e(trans('products.warehouse_id')); ?></th>

                                            <th><?php echo e(trans('products.qty')); ?></th>
                                            <th><?php echo e(trans('products.price')); ?></th>
                                            <th><?php echo e(trans('general.createdat')); ?></th>
                                             <th><?php echo e(trans('products.code')); ?></th>
                                            <th><?php echo e(trans('labels.general.actions')); ?></th>
                                        </tr>
                                        </thead>


                                        <tbody>
                                        <tr>
                                            <td colspan="100%" class="text-center text-success font-large-1"><i
                                                        class="fa fa-spinner spinner"></i></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('after-scripts'); ?>
    
    <?php echo e(Html::script(mix('js/dataTable.js'))); ?>


    <script>

        $(function () {
            setTimeout(function () {
                draw_data();
                sub_draw_data();
            }, <?php echo e(config('master.delay')); ?>);
        });

        function draw_data() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var dataTable = $('#products-table').dataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                stateSave: true,
                language: {
                    <?php echo app('translator')->get('datatable.strings'); ?>
                },
                ajax: {
                    url: '<?php echo e(route("biller.products.get")); ?>',
                    type: 'post',
                    <?php if($segment): ?> data: {p_rel_id: '<?php echo e($segment['id']); ?>', p_rel_type: '<?php echo e($input['rel_type']); ?>'},<?php endif; ?> },
                columns: [
                    {data: 'DT_Row_Index', name: 'id'},
                    {data: 'name', name: 'name'},
                    {data: 'category', name: 'category'},
                    {data: 'warehouse', name: 'warehouse'},
                    {data: 'qty', name: 'qty'},
                    {data: 'price', name: 'price'},
                    {data: 'created_at', name: '<?php echo e(config('module.products.table')); ?>.created_at'},
                    {data: 'code', name: 'code',visible:false},
                    {data: 'actions', name: 'actions', searchable: false, sortable: false}
                ],
                order: [[0, "asc"]],
                searchDelay: 500,
                dom: 'Blfrtip',
                buttons: {
                    buttons: [

                        {extend: 'csv', footer: true, exportOptions: {columns: [0, 1, 2, 3, 4, 5, 6]}},
                        {extend: 'excel', footer: true, exportOptions: {columns: [0, 1, 2, 3, 4, 5, 6]}},
                        {extend: 'print', footer: true, exportOptions: {columns: [0, 1, 2, 3, 4, 5, 6]}}
                    ]
                },
            });
            $('#products-table_wrapper').removeClass('form-inline');

        }

         function sub_draw_data() {
         $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var dataTable = $('#productcategories-table').dataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                language: {
                    <?php echo app('translator')->get('datatable.strings'); ?>
                },
                ajax: {
                    url: '<?php echo e(route("biller.productcategories.get")); ?>',
                    type: 'post',
                      data: {rel_type: '1',rel_id:'<?php echo e(request('rel_id',0)); ?>'}
                },
                columns: [
                    {data: 'DT_Row_Index', name: 'id'},
                    {data: 'name', name: 'name'},
                    {data: 'created_at', name: '<?php echo e(config('module.productcategories.table')); ?>.created_at'},
                    {data: 'actions', name: 'actions', searchable: false, sortable: false}
                ],
                order: [[0, "asc"]],
                searchDelay: 500,
                dom: 'Blfrtip',
                buttons: {
                    buttons: [

                        {extend: 'csv', footer: true, exportOptions: {columns: [0, 1]}},
                        {extend: 'excel', footer: true, exportOptions: {columns: [0, 1]}},
                        {extend: 'print', footer: true, exportOptions: {columns: [0, 1]}}
                    ]
                }
            });
            $('#productcategories-table_wrapper').removeClass('form-inline');
        }

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\nuevo_proyecto\resources\views/focus/products/index.blade.php ENDPATH**/ ?>