<?php $__env->startSection('title', trans('labels.backend.products.management') . ' | ' . trans('labels.backend.products.create')); ?>

<?php $__env->startSection('page-header'); ?>
    <h1>
        <?php echo e(trans('labels.backend.products.management')); ?>

        <small><?php echo e(trans('labels.backend.products.create')); ?></small>
    </h1>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
    <div class="">
        <div class="content-wrapper">

            <div class="content-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">

                            <div class="card-content">
                                <div class="card-header">
                                    <h4 class="card-title"><?php echo e(trans('products.general_product_details')); ?> <a
                                                href="<?php echo e(route('biller.products.edit',[$product['id']])); ?>"
                                                class="btn btn-blue btn-outline-accent-5 btn-sm"><i
                                                    class="fa fa-pencil"></i> <?php echo e(trans('buttons.general.crud.edit')); ?></a>
                                    </h4>


                                </div>
                                <div class="card-body">

                                    <div class="container">
                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.name')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php if(!$product->stock_type): ?>
                                                    (<?php echo e(trans('products.service')); ?>) : <?php endif; ?> <?php echo e($product['name']); ?></div>
                                        </div>
                                        <div class="row">
                                            <div class="col"><a
                                                        href="<?php echo e(Storage::disk('public')->url('app/public/img/products/' .@$product->standard->image)); ?>"><img
                                                            class="media-object img-xl m-1 border"
                                                            src="<?php echo e(Storage::disk('public')->url('app/public/img/products/' .@$product->standard->image)); ?>"
                                                            alt="Product Image"></a></div>
                                        </div>
                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.taxrate')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(numberFormat($product['taxrate'])); ?></div>
                                        </div>
                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.product_des')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo $product['product_des']; ?></div>
                                        </div>
                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.productcategory_id')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><a
                                                        href="<?php echo e(route('biller.products.index')); ?>?rel_type=0&rel_id=<?php echo e($product->category->id); ?>"><?php echo e($product->category->title); ?></a>
                                                - (<?php echo e(@$product->subcategory->title); ?>)
                                            </div>
                                        </div>
                                        <div class="row pb-3">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.unit')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e($product['unit']); ?></div>
                                        </div>
                                        <h4 class="card-title"><?php echo e(trans('products.standard_details')); ?></h4>
                                        <div class="row mt-3">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.warehouse_id')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><a
                                                        href="<?php echo e(route('biller.warehouses.show',[$product->standard->warehouse['id']])); ?>"><?php echo e($product->standard->warehouse['title']); ?></a>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.price')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(amountFormat($product->standard['price'])); ?></div>
                                        </div>
                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.disrate')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(numberFormat($product->standard['disrate'])); ?>

                                                %
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.purchase_price')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(amountFormat($product->standard['purchase_price'])); ?></div>
                                        </div>
                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.qty')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(numberFormat($product->standard['qty'])); ?></div>
                                        </div>
                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.alert')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(numberFormat($product->standard['alert'])); ?></div>
                                        </div>
                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.code')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e($product->standard['code']); ?></div>
                                        </div>
                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.barcode')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e($product->standard['barcode']); ?>

                                                <span class="font-size-xsmall purple">(<?php echo e($product['code_type']); ?>)</span>
                                            </div>
                                        </div>

                                        <?php if(strtotime($product->standard['expiry'])): ?>
                                        <div class="row">
                                            <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.expiry')); ?></div>
                                            <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(dateFormat($product->standard['expiry'])); ?></div>
                                        </div>
                                        <?php endif; ?>
                                        <?php if(isset($product->variations[0])): ?>

                                            <h4 class="card-title mt-3"><?php echo e(trans('products.variation')); ?></h4>

                                            <?php $__currentLoopData = $product->variations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="row  mt-3 fill_back">
                                                    <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.variations')); ?></div>
                                                    <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e($row->name); ?></div>
                                                </div>
                                                <div class="row">
                                                    <div class="col"><a
                                                                href="<?php echo e(Storage::disk('public')->url('app/public/img/products/' .$row->image)); ?>"><img
                                                                    class="media-object img-xl m-1 border"
                                                                    src="<?php echo e(Storage::disk('public')->url('app/public/img/products/' .$row->image)); ?>"
                                                                    alt="Product Image"></a></div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.warehouse_id')); ?></div>
                                                    <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold">
                                                        <a href="<?php echo e(route('biller.warehouses.show',[$row->warehouse['id']])); ?>"><?php echo e($row->warehouse['title']); ?></a>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.price')); ?></div>
                                                    <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(amountFormat($row->price)); ?></div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.disrate')); ?></div>
                                                    <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(numberFormat($row->disrate)); ?>

                                                        %
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.purchase_price')); ?></div>
                                                    <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(amountFormat($row->purchase_price)); ?></div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.qty')); ?></div>
                                                    <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(numberFormat($row->qty)); ?></div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.alert')); ?></div>
                                                    <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(numberFormat($row->alert)); ?></div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.code')); ?></div>
                                                    <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e($row->code); ?></div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.barcode')); ?></div>
                                                    <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e($row->barcode); ?>

                                                        <span class="font-size-xsmall purple">(<?php echo e($product['code_type']); ?>)</span>
                                                    </div>
                                                </div>

                                               <?php if(strtotime($row->expiry)): ?>
                                                <div class="row">
                                                    <div class="col-3 border-blue-grey border-lighten-5  p-1"><?php echo e(trans('products.expiry')); ?></div>
                                                    <div class="col border-blue-grey border-lighten-5  p-1 font-weight-bold"><?php echo e(dateFormat($row->expiry)); ?></div>
                                                </div>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                        <?php endif; ?>

                                        <?php echo custom_fields_view(3,$product['id']); ?>


                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/products/view.blade.php ENDPATH**/ ?>