<?php $__env->startSection('title', trans('labels.backend.customers.management')); ?>

<?php $__env->startSection('page-header'); ?>
    <h1><?php echo e(trans('labels.backend.customers.management')); ?></h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="">
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-6 col-12 mb-2">
                    <h4 class="content-header-title mb-0"><?php echo e(trans('labels.backend.customers.management')); ?></h4>
                    <ul class="list-inline mt-1">
                        <li><a href="<?php echo e(route('biller.customers.index')); ?>?due_filter=true"
                               class="btn btn-purple btn-sm rounded"
                            > <span class="fa fa-money"></span>
                                <?php echo e(trans('customers.due_clients')); ?></a></li>
                        <li><a href="#sendMail" data-toggle="modal" data-remote="false"
                               class="btn btn-info btn-sm rounded"
                               data-lang="<?php echo e(trans('customers.email_selected')); ?>"> <span class="fa fa-envelope"></span>
                                <?php echo e(trans('customers.email_selected')); ?></a></li>
                        <li><a href="#sendSmsS" data-toggle="modal" data-remote="false"
                               class="btn btn-success btn-sm rounded"
                               data-lang="<?php echo e(trans('customers.sms_selected')); ?>"> <span class="fa fa-mobile"></span>
                                <?php echo e(trans('customers.sms_selected')); ?></a></li>
                        <?php if(access()->allow('delete-customer')): ?>
                            <li><a href="#deleteSelected" data-toggle="modal" data-remote="false"
                                   class="btn btn-danger btn-sm rounded"
                                   data-lang="<?php echo e(trans('customers.delete_selected')); ?>"> <span
                                            class="fa fa-trash-o"></span>
                                    <?php echo e(trans('customers.delete_selected')); ?></a>
                            </li>
                        <?php endif; ?>


                    </ul>
                </div>
                <div class="content-header-right col-md-6 col-12">

                    <div class="media width-250 float-right">

                        <div class="media-body media-right text-right">
                            <?php echo $__env->make('focus.customers.partials.customers-header-buttons', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                </div>
            </div>

            <?php if(@$segment->group_data): ?>
                <div class="card">

                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-2">
                                <p> <?php echo e(trans('customergroups.title')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p>
                                    <a href="<?php echo e(route('biller.customergroups.show',[$segment->group_data['id']])); ?>"><?php echo e($segment->group_data['title']); ?></a>
                                </p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('customergroups.summary')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e($segment->group_data['summary']); ?></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('customergroups.members')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e(numberFormat($segment->group_data->count('id'))); ?></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('customergroups.disc_rate')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e(numberFormat(@$segment->group_data->disc_rate)); ?> %</p>
                            </div>
                        </div>
                        <a href="#sendEmailGroup" data-toggle="modal"
                           class="btn btn-primary btn-sm my-1"><i
                                    class="fa fa-paper-plane-o"></i> <?php echo e(trans('customergroups.group_message')); ?>

                        </a>

                    </div>
                </div>

            <?php endif; ?>

            <div class="content-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">

                            <div class="card-content">

                                <div class="card-body">
                                    <table id="customers-table"
                                           class="table table-striped table-bordered" cellspacing="0"
                                           width="100%">
                                        <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo e(trans('customers.picture')); ?></th>
                                            <th class="all"><?php echo e(trans('customers.name')); ?></th>
                                            <th><?php echo e(trans('customers.company')); ?></th>
                                            <th><?php echo e(trans('customers.email')); ?></th>
                                            <th><?php echo e(trans('customers.phone')); ?></th>
                                            <th><?php echo e(trans('customers.address')); ?></th>
                                            <th><?php echo e(trans('customers.gid')); ?></th>
                                            <th><?php echo e(trans('general.active')); ?></th>
                                            <th class="all"><?php echo e(trans('labels.general.actions')); ?></th>
                                        </tr>
                                        </thead>


                                        <tbody>
                                        <tr>
                                            <td colspan="100%" class="text-center text-success font-large-1"><i
                                                        class="fa fa-spinner spinner"></i></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php if(@$segment->group_data): ?>
        <?php
            $customergroup= $segment->group_data;
        ?>
        <?php echo $__env->make("focus.modal.group_email_model", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>
    <?php echo $__env->make("focus.customers.modal.selected_email", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make("focus.customers.modal.selected_sms", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make("focus.customers.modal.selected_delete", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('after-scripts'); ?>
    
    <?php echo e(Html::script(mix('js/dataTable.js'))); ?>

    <script>
        //Below written line is short form of writing $(document).ready(function() { })
        $(function () {

            setTimeout(function () {
                draw_data()
            }, <?php echo e(config('master.delay')); ?>);
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });


            $(document).on('click', ".customer_active", function (e) {
                var cid = $(this).attr('data-cid');
                var active = $(this).attr('data-active');
                if (active == 1) {
                    $(this).removeClass('checked');
                    $(this).attr('data-active', 0);
                } else {
                    $(this).addClass('checked');
                    $(this).attr('data-active', 1);
                }

                $.ajax({
                    url: '<?php echo e(route("biller.customers.active")); ?>',
                    type: 'post',
                    data: {'cid': cid, 'active': active}
                });
            });


            $('.summernote').summernote({
                height: 150,
                toolbar: [
                    // [groupName, [list of button]]
                    ['style', ['bold', 'italic', 'underline', 'clear']],
                    ['font', ['strikethrough', 'superscript', 'subscript']],
                    ['fontsize', ['fontsize']],
                    ['color', ['color']],
                    ['para', ['ul', 'ol', 'paragraph']],
                    ['height', ['height']],
                    ['fullscreen', ['fullscreen']],
                    ['codeview', ['codeview']]
                ],
                popover: {}
            });


            $(document).on('click', "#confirmDeleteSelected", function (e) {
                selectedAction('sendmail_form', 'sendMail', 'delete');

                $('#customers-table').DataTable();
            });


            //uni sender
            $('#sendMail').on('click', '#sendNowSelected', function (e) {
                selectedAction('sendmail_form', 'sendMail', 'mail');
            });

            $('#sendSmsS').on('click', '#sendSmsSelected', function (e) {
                selectedAction('sendsms_form', 'sendSmsS', 'sms');
            });


        });

        function draw_data() {

            var dataTable = $('#customers-table').dataTable({
                destroy: true,
                processing: true,
                serverSide: true,
                responsive: true,
                stateSave: true,
                language: {
                    <?php echo app('translator')->get('datatable.strings'); ?>
                },
                ajax: {
                    url: '<?php echo e(route("biller.customers.get")); ?>',
                    type: 'post',
                    data: {
                        <?php if(@$input['due_filter']): ?> 'due_filter': 'true', <?php endif; ?>
                                <?php if(@$input['rel_id']): ?>
                        g_rel_id: '<?php echo e($segment['customer_group_id']); ?>',
                        g_rel_type: '<?php echo e($input['rel_type']); ?>'
                        <?php endif; ?>
                    },
                },
                columns: [
                    {data: 'DT_Row_Index', name: 'id'},
                    {data: 'image', name: 'image'},
                    {data: 'name', name: 'name'},
                    {data: 'company', name: 'company'},
                    {data: 'email', name: 'email'},
                    {data: 'phone', name: 'phone'},
                    {data: 'address', name: 'address'},
                    {data: 'group', name: 'group'},
                    {data: 'created_at', name: 'created_at'},
                    {data: 'actions', name: 'actions', searchable: false, sortable: false}
                ],
                order: [[0, "asc"]],
                searchDelay: 500,
                dom: 'Blfrtip',
                buttons: {
                    buttons: [
                        {extend: 'csv', footer: true, exportOptions: {columns: [0, 2, 3, 4, 5,6,7]}},
                        {extend: 'excel', footer: true, exportOptions: {columns: [0, 2, 3, 4, 5,6,7]}},
                        {extend: 'print', footer: true, exportOptions: {columns: [0, 2, 3, 4, 5,6,7]}}
                    ]
                },
                drawCallback: function (settings) {
                    let api = this.api();
                    var info = api.page.info();
                    if (info.pages != 0 && (api.page() > 0 && api.rows({page: 'current'}).count() === 0)) {
                        api.page('first').state.save();
                        window.location.reload();
                    }
                }
            });

            $('#customers-table_wrapper').removeClass('form-inline');
        }


        function selectedAction(form_name, modal_name, r_type) {

            $("#" + modal_name).modal('hide');
            if ($("#notify").length == 0) {
                $("#c_body").html('<div id="notify" class="alert" style="display:none;"><a href="#" class="close" data-dismiss="alert">&times;</a><div class="message"></div></div>');
            }
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "<?php echo e(route('biller.customers.selected_action')); ?>",
                type: 'POST',
                data: $("input[name='cust[]']:checked").serialize() + '&' + $("#" + form_name).serialize() + '&r_type=' + r_type,
                dataType: 'json',
                success: function (data) {
                    $("#notify .message").html("<strong>" + data.status + "</strong>: " + data.message);
                    $("#notify").removeClass("alert-danger").addClass("alert-success").fadeIn();
                    $("html, body").animate({scrollTop: $('#notify').offset().top}, 1000);
                }
            });
        }

        function draw_c() {

        }

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/customers/index.blade.php ENDPATH**/ ?>