<div class="form-group">

    <div class='col-lg-10'>
        <?php echo e(trans('products.general_product_details')); ?>

    </div>
</div>


<div class="row">
    <div class="col-md-8">

        <div class='form-group'>
            <?php echo e(Form::label( 'name', trans('products.name'),['class' => 'col control-label'])); ?>

            <div class='col'>
                <?php echo e(Form::text('name', null, ['class' => 'form-control box-size', 'placeholder' => trans('products.name').'*','required'=>'required'])); ?>

            </div>
        </div>
    </div>
    <div class="col-md-4">
        <div class='form-group'>
            <?php echo e(Form::label( 'taxrate', trans('products.taxrate'),['class' => 'col control-label'])); ?>

            <div class='col'>
                <?php echo e(Form::text('taxrate', numberFormat(@$products['taxrate']), ['class' => 'form-control box-size', 'placeholder' => trans('products.taxrate'),'onkeypress'=>"return isNumber(event)"])); ?>

            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-8">
        <div class='form-group'>
            <?php echo e(Form::label( 'product_des', trans('products.product_des'),['class' => 'col control-label'])); ?>

            <div class='col'>
                <?php echo e(Form::textarea('product_des', null, ['class' => 'form-control box-size', 'rows'=>2, 'placeholder' => trans('products.product_des')])); ?>

            </div>
        </div>
    </div>
    <div class="col-md-2">
        <div class='form-group'>
            <?php echo e(Form::label( 'code_type', trans('products.code_type'),['class' => 'col control-label'])); ?>

            <div class='col'>
                <select class="form-control" name="code_type">
                    <?php if(@$products->code_type): ?>
                        <option value="<?php echo e($products->code_type); ?>" selected><?php echo e($products->code_type); ?></option>
                    <?php endif; ?>
                    <option value="EAN13">EAN13 - Default</option>
                    <option value="UPCA">UPC</option>
                    <option value="EAN8">EAN8</option>
                    <option value="ISSN">ISSN</option>
                    <option value="ISBN">ISBN</option>
                    <option value="C128A">C128A</option>
                    <option value="C39">C39</option>
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-2">
        <div class="form-group">
            <?php echo e(Form::label( 'unit', trans('products.stock_type'),['class' => 'col control-label'])); ?>

            <div class='col'>
                <select class="form-control" name="stock_type">
                    <?php if(@$products->stock_type==0): ?>
                        <option value="0" selected>-<?php echo e(trans('products.service')); ?>-</option> <?php endif; ?>
                    <option value="1"><?php echo e(trans('products.material')); ?></option>
                    <option value="0"><?php echo e(trans('products.service')); ?></option>
                </select>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <?php echo e(Form::label( 'productcategory_id', trans('products.productcategory_id'),['class' => 'col control-label'])); ?>

            <div class='col'>
                <select class="form-control" name="productcategory_id" id="product_cat">
                    <?php $__currentLoopData = $product_category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if(!$item->c_type): ?>
                            <option value="<?php echo e($item->id); ?>" <?php echo e($item->id == @$products->productcategory_id ? " selected" : ""); ?>><?php echo e($item->title); ?></option>
                        <?php endif; ?>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <?php echo e(Form::label( 'sub_cat_id', trans('products.sub_cat_id'),['class' => 'col control-label'])); ?>

            <div class='col'>
                <select class="form-control" name="sub_cat_id" id="sub_cat">
                    <option value="0">--<?php echo e(trans('products.sub_cat_id')); ?>--</option>
                    <?php $__currentLoopData = $product_category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($item->c_type AND $product_category->first()['id']==$item->rel_id): ?>
                            <option value="<?php echo e($item->id); ?>" <?php echo e($item->id == @$products->productcategory_id ? " selected" : ""); ?>><?php echo e($item->title); ?></option>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <?php echo e(Form::label( 'unit', trans('products.unit'),['class' => 'col control-label'])); ?>

            <div class='col'>
                <select class="form-control" name="unit">
                    <?php $__currentLoopData = $product_variable; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if(!$item->type): ?>
                            <option value="<?php echo e($item->code); ?>" <?php echo e($item->code == @$products->unit ? " selected" : ""); ?>><?php echo e($item->name); ?>

                                - <?php echo e($item->code); ?></option>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
        </div>
    </div>
</div>


<hr class="mb-5">
<div class="row">

    <div class='col-lg-10'>
        <?php echo e(trans('products.standard_details')); ?>

    </div>
</div>

<div id="main_product">
    <div class="product round">

        <div class="row mt-1 mb-1">


            <div class="col-md-12">
                <div class='form-group'>
                    <?php echo e(Form::label( 'variation_name', trans('general.description'),['class' => 'col control-label'])); ?>

                    <div class='col-6'>
                        <?php echo e(Form::text('variation_name[]',@$products->standard['name'], ['class' => 'form-control box-size', 'placeholder' => trans('general.description')])); ?>

                    </div>

                </div>
            </div>
            <div class="old_id"><input
                        type="hidden" name="v_id[]" value="<?php echo e(@$products->standard['id']); ?>"><input
                        type="hidden" name="pv_id" value="<?php echo e(@$products->standard['id']); ?>"></div>


        </div>
        <div class="row">
            <div class="col-md-4">
                <div class='form-group'>
                    <?php echo e(Form::label( 'price', trans('products.price'),['class' => 'col control-label'])); ?>

                    <div class='col'>
                        <?php echo e(Form::text('price[]', numberFormat(@$products->standard['price']), ['class' => 'form-control box-size', 'placeholder' => trans('products.price').'*','required'=>'required','onkeypress'=>"return isNumber(event)"])); ?>

                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class='form-group'>
                    <?php echo e(Form::label( 'purchase_price', trans('products.purchase_price'),['class' => 'col control-label'])); ?>

                    <div class='col'>
                        <?php echo e(Form::text('purchase_price[]', numberFormat(@$products->standard['purchase_price']), ['class' => 'form-control box-size', 'placeholder' => trans('products.purchase_price'),'onkeypress'=>"return isNumber(event)"])); ?>

                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class='form-group'>
                    <?php echo e(Form::label( 'qty', trans('products.qty'),['class' => 'col control-label'])); ?>

                    <div class='col'>
                        <?php echo e(Form::text('qty[]', numberFormat(@$products->standard['qty']), ['class' => 'form-control box-size', 'placeholder' => trans('products.qty'),'onkeypress'=>"return isNumber(event)"])); ?>

                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4">
                <div class="form-group">
                    <?php echo e(Form::label( 'productcategory_id', trans('products.warehouse_id'),['class' => 'col control-label'])); ?>

                    <div class='col'>
                        <select class="form-control" name="warehouse_id[]">

                            <?php $__currentLoopData = $warehouses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($item->id); ?>" <?php echo e($item->id == @$products->warehouse_id ? " selected" : ""); ?>><?php echo e($item->title); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class='form-group'>
                    <?php echo e(Form::label( 'code', trans('products.code'),['class' => 'col control-label'])); ?>

                    <div class='col'>
                        <?php echo e(Form::text('code[]', @$products->standard['code'], ['class' => 'form-control box-size', 'placeholder' => trans('products.code')])); ?>

                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class='form-group'>
                    <?php echo e(Form::label( 'barcode', trans('products.barcode'),['class' => 'col control-label'])); ?>

                    <div class='col'>
                        <?php echo e(Form::text('barcode[]', @$products->standard['barcode'], ['class' => 'form-control box-size', 'placeholder' => trans('products.barcode')])); ?>

                    </div>
                </div>
            </div>

        </div>


        <div class="row">

            <div class="col-md-4">
                <div class='form-group'>
                    <?php echo e(Form::label( 'disrate', trans('products.disrate'),['class' => 'col control-label'])); ?>

                    <div class='col'>
                        <?php echo e(Form::text('disrate[]', numberFormat(@$products->standard['disrate']), ['class' => 'form-control box-size', 'placeholder' => trans('products.disrate'),'onkeypress'=>"return isNumber(event)"])); ?>

                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class='form-group'>
                    <?php echo e(Form::label( 'alert', trans('products.alert'),['class' => 'col control-label'])); ?>

                    <div class='col'>
                        <?php echo e(Form::text('alert[]', numberFormat(@$products->standard['alert']), ['class' => 'form-control box-size', 'placeholder' => trans('products.alert'),'onkeypress'=>"return isNumber(event)"])); ?>

                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class='form-group'>
                    <?php echo e(Form::label( 'expiry', trans('products.expiry'),['class' => 'col control-label'])); ?>

                    <div class='col'>
                        <?php if(@$products->standard['expiry']!='0000-00-00'): ?>
                        <?php echo e(Form::text('expiry[]', dateFormat(@$products->standard['expiry']), ['class' => 'form-control box-size', 'placeholder' => trans('products.expiry'),'data-toggle'=>'datepicker','autocomplete'=>'false'])); ?>

                            <?php else: ?>
                            <?php echo e(Form::hidden('expiry[]', '0000-00-00')); ?> <small class="info">Not Applicable</small>

                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">

            <div class="col-md-6">
                <div class='form-group'>
                    <?php echo e(Form::label( 'image', trans('products.image'),['class' => 'col control-label'])); ?>

                    <div class='col'>
                        <?php echo Form::file('image[]', array('class'=>'input' )); ?>

                    </div>
                </div>
            </div>
        </div>
        <span class="col-6 del_b"></span>

        <hr>
    </div>
</div>

<?php if(isset($products->standard->product_serial)): ?>
    <?php $__currentLoopData = $products->standard->product_serial; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $serial): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="form-group serial"><label for="field_s"
                                              class="col-lg-2 control-label"><?php echo e(trans('products.product_serial')); ?></label>
            <div class="col-lg-10"><input class="form-control box-size"
                                          placeholder="<?php echo e(trans('products.product_serial')); ?>"
                                          name="product_serial_e[<?php echo e($serial['id']); ?>]" type="text"
                                          value="<?php echo e($serial['value']); ?>" <?php if($serial['value2']): ?> readonly="" <?php endif; ?>></div>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php endif; ?>
<?php if(isset($products->variations[0])): ?>
    <h4 class="card-title mt-3"><?php echo e(trans('products.variation')); ?></h4>
    <div id="product_sub">
        <?php $__currentLoopData = $products->variations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="v_product_t border-blue-grey border-lighten-4 round p-1 bg-blue-grey bg-lighten-5"
                 id="pv_<?php echo e($row->id); ?>">

                <input type="hidden" id="" name="v_id[]" value="<?php echo e($row->id); ?>">
                <div class="row mt-3 mb-3">
                    <div class="col-6"><?php echo e(trans('general.description')); ?> <input type="text" class="form-control "
                                                                               name="variation_name[]"
                                                                               value="<?php echo e($row->name); ?>"
                                                                               placeholder="<?php echo e(trans('general.description')); ?>">

                    </div>
                    <div class="del_b offset-4 col-1" data-vid="<?php echo e($row->id); ?>">
                        <button class="btn btn-danger v_delete m-1 align-content-end"><i class="fa fa-trash"></i>
                        </button>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class='form-group'>
                            <?php echo e(Form::label( 'price', trans('products.price'),['class' => 'col control-label'])); ?>

                            <div class='col'>
                                <?php echo e(Form::text('price[]', numberFormat(@$row->price), ['class' => 'form-control box-size', 'placeholder' => trans('products.price'),'onkeypress'=>"return isNumber(event)"])); ?>

                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class='form-group'>
                            <?php echo e(Form::label( 'purchase_price', trans('products.purchase_price'),['class' => 'col control-label'])); ?>

                            <div class='col'>
                                <?php echo e(Form::text('purchase_price[]', numberFormat(@$row->purchase_price), ['class' => 'form-control box-size', 'placeholder' => trans('products.purchase_price'),'onkeypress'=>"return isNumber(event)"])); ?>

                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class='form-group'>
                            <?php echo e(Form::label( 'qty', trans('products.qty'),['class' => 'col control-label'])); ?>

                            <div class='col'>
                                <?php echo e(Form::text('qty[]', numberFormat(@$row->qty), ['class' => 'form-control box-size', 'placeholder' => trans('products.qty'),'onkeypress'=>"return isNumber(event)"])); ?>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <?php echo e(Form::label( 'productcategory_id', trans('products.warehouse_id'),['class' => 'col control-label'])); ?>

                            <div class='col'>
                                <select class="form-control" name="warehouse_id[]">

                                    <?php $__currentLoopData = $warehouses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($item->id); ?>" <?php echo e($item->id == @$row->warehouse_id ? " selected" : ""); ?>><?php echo e($item->title); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class='form-group'>
                            <?php echo e(Form::label( 'code', trans('products.code'),['class' => 'col control-label'])); ?>

                            <div class='col'>
                                <?php echo e(Form::text('code[]', @$row->code, ['class' => 'form-control box-size', 'placeholder' => trans('products.code')])); ?>

                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class='form-group'>
                            <?php echo e(Form::label( 'barcode', trans('products.barcode'),['class' => 'col control-label'])); ?>

                            <div class='col'>
                                <?php echo e(Form::text('barcode[]', $row->barcode, ['class' => 'form-control box-size', 'placeholder' => trans('products.barcode')])); ?>

                            </div>
                        </div>
                    </div>

                </div>


                <div class="row">

                    <div class="col-md-4">
                        <div class='form-group'>
                            <?php echo e(Form::label( 'disrate', trans('products.disrate'),['class' => 'col control-label'])); ?>

                            <div class='col'>
                                <?php echo e(Form::text('disrate[]', numberFormat(@$row->disrate), ['class' => 'form-control box-size', 'placeholder' => trans('products.disrate'),'onkeypress'=>"return isNumber(event)"])); ?>

                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class='form-group'>
                            <?php echo e(Form::label( 'alert', trans('products.alert'),['class' => 'col control-label'])); ?>

                            <div class='col'>
                                <?php echo e(Form::text('alert[]', numberFormat(@$row->alert), ['class' => 'form-control box-size', 'placeholder' => trans('products.alert'),'onkeypress'=>"return isNumber(event)"])); ?>

                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class='form-group'>
                            <?php echo e(Form::label( 'expiry', trans('products.expiry'),['class' => 'col control-label'])); ?>

                            <div class='col'>
                                <?php echo e(Form::text('expiry[]', dateFormat(@$row->expiry), ['class' => 'form-control box-size', 'placeholder' => trans('products.expiry')])); ?>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">

                    <div class="col-md-6">
                        <div class='form-group'>
                            <?php echo e(Form::label( 'image', trans('products.image'),['class' => 'col control-label'])); ?>

                            <div class='col'>
                                <?php echo Form::file('image[]', array('class'=>'input' )); ?>

                            </div>
                        </div>
                    </div>
                </div>


            </div>

        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>

<?php endif; ?>

<div id="added_product"></div>
<a href="#" class="card-title "><i class="fa fa-plus-circle"></i> <?php echo e(trans('products.variation')); ?></a>

<button class="btn btn-blue add_more btn-sm m-1"><?php echo e(trans('general.add_row')); ?></button>
<button class="btn btn-pink add_serial btn-sm m-1"><?php echo e(trans('products.add_serial')); ?></button>
<div id="remove_variation">

</div>
<?php $__env->startSection("after-styles"); ?>
    <style>
        #added_product div:nth-child(even) .product {
            background: #FFF
        }

        #added_product div:nth-child(odd) .product {
            background: #eeeeee
        }

        #product_sub div:nth-child(odd) .v_product_t {
            background: #FFF
        }

        #product_sub div:nth-child(even) .v_product_t {
            background: #eeeeee
        }
    </style>
    <?php echo Html::style('focus/css/select2.min.css'); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection("after-scripts"); ?>

    <script type="text/javascript">
        $('[data-toggle="datepicker"]').datepicker({
            autoHide: true,
            format: '<?php echo e(config('core.user_date_format')); ?>'
        });

        $(document).on('click', ".add_serial", function (e) {
            e.preventDefault();

            $('#added_product').append('<div class="form-group serial"><label for="field_s" class="col-lg-2 control-label"><?php echo e(trans('products.product_serial')); ?></label><div class="col-lg-10"><input class="form-control box-size" placeholder="<?php echo e(trans('products.product_serial')); ?>" name="product_serial[]" type="text"  value=""></div><button class="btn-sm btn-purple v_delete_serial m-1 align-content-end"><i class="fa fa-trash"></i> </button></div>');

        });

        $(document).on('click', ".add_more", function (e) {
            e.preventDefault();
            var product_details = $('#main_product').clone().find(".old_id input:hidden").val(0).end();
            product_details.find(".del_b").append('<button class="btn btn-danger v_delete_temp m-1 align-content-end"><i class="fa fa-trash"></i> </button>').end();
            $('#added_product').append(product_details);
            $('[data-toggle="datepicker"]').datepicker({
                autoHide: true,
                format: '<?php echo e(config('core.user_date_format')); ?>'
            });
        });


        $(document).on('click', ".v_delete", function (e) {
            e.preventDefault();
            var p_v = $(this).closest('div').attr('data-vid');
            $('#remove_variation').append("<input type='hidden' name='remove_v[]' value='" + p_v + "'>");
            alert('<?php echo e(trans('products.alert_removed')); ?>');
            $('#pv_' + p_v).remove();
        });

        $(document).on('click', ".v_delete_temp", function (e) {
            e.preventDefault();
            $(this).closest('div .product').remove();
        });

        $(document).on('click', ".v_delete_serial", function (e) {
            e.preventDefault();
            $(this).closest('div .serial').remove();
        });


    </script>
    <?php echo e(Html::script('focus/js/select2.min.js')); ?>

    <script type="text/javascript">
        $("#sub_cat").select2();
        $("#product_cat").on('change', function () {
            $("#sub_cat").val('').trigger('change');
            var tips = $('#product_cat :selected').val();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $("#sub_cat").select2({
                ajax: {
                    url: '<?php echo e(route('biller.products.product_sub_load')); ?>?id=' + tips,
                    dataType: 'json',
                    type: 'POST',
                    quietMillis: 50,
                    params: {'cat_id': tips},
                    data: function (product) {
                        return {
                            product: product
                        };
                    },
                    processResults: function (data) {
                        return {
                            results: $.map(data, function (item) {
                                return {
                                    text: item.title,
                                    id: item.id
                                }
                            })
                        };
                    },
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php /**PATH C:\xampp\htdocs\nuevo_proyecto\resources\views/focus/products/form.blade.php ENDPATH**/ ?>