<?php $__env->startSection('title', trans('labels.backend.invoices.management') . ' | ' . trans('labels.backend.invoices.create')); ?>

<?php $__env->startSection('page-header'); ?>
    <h1>
        <?php echo e(trans('labels.backend.invoices.management')); ?>

        <small><?php echo e(trans('labels.backend.invoices.create')); ?></small>
    </h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="app-content">
        <div class="content-wrapper">

            <div class="content-body">
                <section class="card">
                    <div id="invoice-template" class="card-body">
                        <div class="row">
                            <?php if($invoice['status']!='canceled'): ?>
                                <div class="col">
                                    <a href="<?php echo e($invoice['id']); ?>/edit" class="btn btn-warning mb-1"><i
                                                class="fa fa-pencil"></i> <?php echo e(trans('labels.backend.invoices.edit')); ?></a>

                                    <a href="#modal_bill_payment_1" data-toggle="modal" data-remote="false"
                                       data-type="reminder"
                                       class="btn btn-large btn-info mb-1" title="Partial Payment"><span
                                                class="fa fa-money"></span> <?php echo e(trans('general.make_payment')); ?> </a>

                                    <div class="btn-group">
                                        <button type="button" class="btn btn-facebook dropdown-toggle mb-1"
                                                data-toggle="dropdown"
                                                aria-haspopup="true" aria-expanded="false">
                            <span
                                    class="fa fa-envelope-o"></span> <?php echo e(trans('customers.email')); ?>

                                        </button>
                                        <div class="dropdown-menu"><a href="#sendEmail" data-toggle="modal"
                                                                      data-remote="false"
                                                                      class="dropdown-item send_bill"
                                                                      data-type="1"
                                                                      data-type1="notification"><?php echo e(trans('general.invoice_notification')); ?></a>
                                            <div class="dropdown-divider"></div>
                                            <a href="#sendEmail" data-toggle="modal" data-remote="false"
                                               class="dropdown-item send_bill"
                                               data-type="2"
                                               data-type1="reminder"><?php echo e(trans('general.payment_reminder')); ?></a>
                                            <a href="#sendEmail" data-toggle="modal" data-remote="false"
                                               class="dropdown-item send_bill"
                                               data-type="3"
                                               data-type1="received"><?php echo e(trans('general.payment_received')); ?></a>
                                            <div class="dropdown-divider"></div>
                                            <a href="#sendEmail" data-toggle="modal" data-remote="false"
                                               class="dropdown-item send_bill" href="#"
                                               data-type="4"
                                               data-type1="overdue"> <?php echo e(trans('general.payment_overdue')); ?></a><a
                                                    href="#sendEmail" data-toggle="modal" data-remote="false"
                                                    class="dropdown-item send_bill"
                                                    data-type="5"
                                                    data-type1="refund"><?php echo e(trans('general.refund_generated')); ?></a>
                                        </div>

                                    </div>

                                    <!-- SMS -->
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-blue dropdown-toggle mb-1"
                                                data-toggle="dropdown"
                                                aria-haspopup="true" aria-expanded="false">
                            <span
                                    class="fa fa-mobile"></span> <?php echo e(trans('general.sms')); ?>

                                        </button>
                                        <div class="dropdown-menu"><a href="#sendSMS" data-toggle="modal"
                                                                      data-remote="false" class="dropdown-item send_sms"
                                                                      data-type="11"
                                                                      data-type1="notification"><?php echo e(trans('general.invoice_notification')); ?></a>
                                            <div class="dropdown-divider"></div>
                                            <a href="#sendSMS" data-toggle="modal" data-remote="false"
                                               class="dropdown-item send_sms"
                                               data-type="12"
                                               data-type1="reminder"><?php echo e(trans('general.payment_reminder')); ?></a>
                                            <a
                                                    href="#sendSMS" data-toggle="modal" data-remote="false"
                                                    class="dropdown-item send_sms"
                                                    data-type="13"
                                                    data-type1="received"><?php echo e(trans('general.payment_received')); ?></a>
                                            <div class="dropdown-divider"></div>
                                            <a href="#sendSMS" data-toggle="modal" data-remote="false"
                                               class="dropdown-item send_sms" href="#"
                                               data-type="14"
                                               data-type1="overdue"><?php echo e(trans('general.payment_overdue')); ?></a><a
                                                    href="#sendSMS" data-toggle="modal" data-remote="false"
                                                    class="dropdown-item send_sms"
                                                    data-type="15"
                                                    data-type1="refund"><?php echo e(trans('general.refund_generated')); ?></a>
                                        </div>

                                    </div>

                                    <?php
                                        $valid_token = token_validator('','i' . $invoice['id'].$invoice['tid'],true);
                                        $link=route( 'biller.print_bill',[$invoice['id'],1,$valid_token,1]);
                                        $link_download=route( 'biller.print_bill',[$invoice['id'],1,$valid_token,2]);
                                        $link_preview=route( 'biller.view_bill',[$invoice['id'],1,$valid_token,0]);
                                             if($invoice['i_class']>1) {
                                    $title= trans('invoices.subscription');
                                  $inv_no= prefix(6).' # '.$invoice['tid'];
                                  } else  if($invoice['i_class']==1) {
                                    $title= trans('invoices.pos');
                                  $inv_no= prefix(10).' # '.$invoice['tid'];
                                  }
                                else {
                                   $title= trans('invoices.invoice');
                                  $inv_no= prefix(1).' # '.$invoice['tid'];
                                }

                                    ?>

                                    <div class="btn-group ">
                                        <button type="button" class="btn btn-success mb-1 btn-min-width dropdown-toggle"
                                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i
                                                    class="fa fa-print"></i> <?php echo e(trans('general.print')); ?>

                                        </button>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item"
                                               href="<?php echo e($link); ?>"><?php echo e(trans('general.print')); ?></a>
                                            <a class="dropdown-item"
                                               href="<?php echo e($link); ?>?v=2"><?php echo e(trans('general.print')); ?> V2</a>
                                            <a class="dropdown-item"
                                               href="<?php echo e($link); ?>?v=3"><?php echo e(trans('general.print')); ?> V3</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item"
                                               href="<?php echo e($link_download); ?>"><?php echo e(trans('general.pdf')); ?></a>

                                        </div>
                                    </div>
                                    <a href="<?php echo e($link_preview); ?>" class="btn btn-purple mb-1"><i
                                                class="fa fa-globe"></i> <?php echo e(trans('general.preview')); ?>

                                    </a>

                                    <a href="#pop_model_1" data-toggle="modal" data-remote="false"
                                       class="btn btn-large btn-cyan mb-1" title="Change Status"
                                    ><span class="fa fa-retweet"></span> <?php echo e(trans('general.change_status')); ?></a>
                                    <a href="#pop_model_2" class="btn btn-danger mb-1" data-toggle="modal"
                                       data-remote="false"><i
                                                class="fa fa-minus-circle"> </i> <?php echo e(trans('general.cancel')); ?>

                                    </a>
                                    <div class="btn-group ">
                                        <button type="button" class="btn btn-primary mb-1 btn-min-width dropdown-toggle"
                                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i
                                                    class="icon-anchor"></i> <?php echo e(trans('general.extra_options')); ?>

                                        </button>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item"
                                               href="<?php echo e(route('biller.invoices.print_document',[$invoice['id'],1])); ?>"><?php echo e(trans('general.delivery_note')); ?></a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item"
                                               href="<?php echo e(route( 'biller.print_bill',[$invoice['id'],3,$valid_token,1])); ?>"><?php echo e(trans('general.proforma_invoice')); ?></a>

                                        </div>
                                    </div>
                                    <div class="btn-group ">
                                        <button type="button" class="btn btn-vimeo mb-1 btn-md dropdown-toggle"
                                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i
                                                    class="fa fa-print"></i> <?php echo e(trans('general.pos_print')); ?>

                                        </button>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item"
                                               href="<?php echo e(route('biller.print_compact',[$invoice['id'],1,$valid_token,1])); ?>"><?php echo e(trans('general.pdf_print')); ?></a>
                                        </div>
                                    </div>
                                    <a href="https://api.whatsapp.com/send?phone=<?php echo e($invoice->customer->phone); ?>&text=<?php echo e(message_body(2,11,$invoice,$link)); ?>" class="btn btn-success mb-1" target="_blank"><i
                                            class="fa fa-whatsapp"></i> WhatsApp
                                    </a>
                                    <?php if($invoice['i_class']>1): ?>
                                        <a href="#pop_model_4" data-toggle="modal" data-remote="false"
                                           class="btn btn-large btn-blue-grey mb-1" title="Change Status"
                                        ><span class="fa fa-superscript"></span> <?php echo e(trans('invoices.subscription')); ?></a>

                                    <?php endif; ?>
                                </div>
                            <?php else: ?>
                                <div class="badge text-center white d-block m-1"><span class="bg-danger round p-1">&nbsp;&nbsp;<?php echo e(trans('payments.'.$invoice['status'])); ?>&nbsp;&nbsp;</span>
                                </div>
                            <?php endif; ?>
                        </div>
                                              <?php

                                             if($invoice['i_class']>1) {
                                    $title= trans('invoices.subscription');
                                  $inv_no= prefix(6).' # '.$invoice['tid'];
                                  } else  if($invoice['i_class']==1) {
                                    $title= trans('invoices.pos');
                                  $inv_no= prefix(10).' # '.$invoice['tid'];
                                  }
                                else {
                                   $title= trans('invoices.invoice');
                                  $inv_no= prefix(1).' # '.$invoice['tid'];
                                }

                                    ?>
                        <?php if($invoice['currency']): ?>
                            <div class="badge text-center white d-block m-1"><span class="bg-danger round p-1">&nbsp;&nbsp;<?php echo e(trans('general.different_currency')); ?>&nbsp;&nbsp;</span>
                            </div>
                    <?php endif; ?>

                    <!-- Invoice Company Details -->
                        <div id="invoice-company-details" class="row">
                            <div class="col-md-6 col-sm-12 text-center text-md-left"><?php echo e(trans('general.our_info')); ?>

                                <div class="">
                                    <img src="<?php echo e(Storage::disk('public')->url('app/public/img/company/' . config('core.logo'))); ?>"
                                         alt="company logo" class="avatar-100 img-responsive"/>
                                    <div class="media-body"><br>
                                        <ul class="px-0 list-unstyled">
                                            <li class="text-bold-800"><?php echo e((config('core.cname'))); ?></li>

                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 col-sm-12 text-xs-center text-md-right">

                                <h2><?php echo e($title); ?></h2>
                                <p class="pb-1"><?php echo e($inv_no); ?></p>
                               <?php if($invoice['order_id']): ?>   <p ><?php echo e(trans('orders.order')); ?>: <?php echo e($invoice['order_id']); ?></p> <?php endif; ?>

                                <?php if(isset($invoice->market->bill->name)): ?>   <p ><?php echo e(trans('sales_channel.sales_channel')); ?> : <?php echo e($invoice->market->bill->name); ?></p> <?php endif; ?>

                                <?php
                                    switch ($invoice['i_class']){
                                    case 2: echo '<h4 ><span class="st-sub2">'.trans('payments.active').'</span></h4>';
                                    break;
                                    case 3: echo '<h4 ><span class="st-sub3">'.trans('payments.recurred').'</span></h4>';
                                    break;
                                    case 4: echo '<h4 ><span class="st-sub4">'.trans('payments.stopped').'</span></h4>';
                                    break;
                                    }
                                ?>

                                <ul class="px-0 list-unstyled">
                                    <li><?php echo e(trans('general.total')); ?></li>
                                    <li class="lead text-bold-800"><?php echo e(amountFormat($invoice['total'])); ?></li>
                                </ul>
                            </div>
                        </div>
                        <!--/ Invoice Company Details -->

                        <!-- Invoice Customer Details -->
                        <div id="invoice-customer-details" class="row pt-2">
                            <div class="col-sm-12 text-center text-md-left">
                                <p class="text-muted"><?php echo e(trans('invoices.bill_to')); ?></p>
                            </div>
                            <div class="col-md-6 col-sm-12 text-center text-md-left">
                                <ul class="px-0 list-unstyled">
                                    <li class="text-bold-800"><a
                                                href="<?php echo e(route('biller.customers.show',[$invoice->customer->id])); ?>"><?php echo e($invoice->customer->name); ?></a>
                                    </li>
                                    <li><?php echo e($invoice->customer->address); ?>,</li>
                                    <li><?php echo e($invoice->customer->city); ?>,<?php echo e($invoice->customer->region); ?></li>
                                    <li><?php echo e($invoice->customer->country); ?>-<?php echo e($invoice->customer->postbox); ?>.</li>
                                    <li><?php echo e($invoice->customer->email); ?>,</li>
                                    <li><?php echo e($invoice->customer->phone); ?>,</li>
                                    <?php echo custom_fields_view(1,$invoice->customer->id,false); ?>

                                </ul>
                            </div>

                            <div class="col-md-6 col-sm-12 text-center text-md-right">
                                <p>
                                    <span class="text-muted"><?php echo e(trans('invoices.invoice_date')); ?> :</span> <?php echo e(dateFormat($invoice['invoicedate'])); ?>

                                </p>

                                <p>
                                    <span class="text-muted"><?php echo e(trans('invoices.invoice_due_date')); ?> :</span> <?php echo e(dateFormat($invoice['invoiceduedate'])); ?>

                                </p>
                                <div class="row">
                                    <div class="col">

                                        <hr>

                                        <p class=" text-danger"><?php echo e($invoice['notes']); ?></p>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <!--/ Invoice Customer Details -->
                        <!-- Invoice Items Details -->
                        <div id="invoice-items-details" class="pt-2">
                            <div class="row">
                                <div class="table-responsive col-sm-12">

                                    <table class="table">
                                        <?php if($invoice['tax_format']=='exclusive' OR $invoice['tax_format']=='inclusive' ): ?>
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th><?php echo e(trans('products.product_des')); ?></th>
                                                <th class="text-right"><?php echo e(trans('products.price')); ?></th>
                                                <th class="text-right"><?php echo e(trans('products.qty')); ?></th>
                                                <th class="text-right"><?php echo e(trans('general.tax')); ?></th>
                                                <th class="text-right"><?php echo e(trans('general.discount')); ?></th>
                                                <th class="text-right"><?php echo e(trans('general.subtotal')); ?></th>
                                            </tr>
                                            </thead>
                                            <tbody>

                                            <?php $__currentLoopData = $invoice->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <th scope="row"><?php echo e($loop->iteration); ?></th>
                                                    <td>
                                                        <p><?php echo e($product['product_name']); ?></p>
                                                        <p class="text-muted">  <p class="text-muted"><?php echo $product['product_des']; ?></p></p><?php if($product['serial']): ?><?php echo e($product['serial']); ?><?php endif; ?>
                                                    </td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['product_price'])); ?></td>
                                                    <td class="text-right"><?php echo e(numberFormat($product['product_qty'])); ?> <?php echo e($product['unit']); ?></td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['total_tax'])); ?> <span
                                                                class="font-size-xsmall">(<?php echo e(numberFormat($product['product_tax'])); ?>%)</span>
                                                    </td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['total_discount'])); ?></td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['product_subtotal'])); ?></td>
                                                </tr>
                                                <tr>
                                                    <td colspan="7"><?php echo custom_fields_view(3,$product['product_id'],false); ?></td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </tbody>
                                        <?php elseif($invoice['tax_format']=='off' ): ?>
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th><?php echo e(trans('products.product_des')); ?></th>
                                                <th class="text-right"><?php echo e(trans('products.price')); ?></th>
                                                <th class="text-right"><?php echo e(trans('products.qty')); ?></th>

                                                <th class="text-right"><?php echo e(trans('general.discount')); ?></th>
                                                <th class="text-right"><?php echo e(trans('general.subtotal')); ?></th>
                                            </tr>
                                            </thead>
                                            <tbody>

                                            <?php $__currentLoopData = $invoice->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <th scope="row"><?php echo e($loop->iteration); ?></th>
                                                    <td>
                                                        <p><?php echo e($product['product_name']); ?></p>
                                                        <p class="text-muted">  <p class="text-muted"><?php echo $product['product_des']; ?></p></p><?php if($product['serial']): ?><?php echo e($product['serial']); ?><?php endif; ?>
                                                    </td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['product_price'])); ?></td>
                                                    <td class="text-right"><?php echo e(numberFormat($product['product_qty'])); ?> <?php echo e($product['unit']); ?></td>

                                                    <td class="text-right"><?php echo e(amountFormat($product['total_discount'])); ?></td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['product_subtotal'])); ?></td>
                                                </tr>
                                                <tr>
                                                    <td colspan="7"><?php echo custom_fields_view(3,$product['product_id'],false); ?></td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </tbody>
                                        <?php endif; ?>

                                        <?php if($invoice['tax_format']=='cgst'): ?>
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th><?php echo e(trans('products.product_des')); ?></th>
                                                <th class="text-right"><?php echo e(trans('products.price')); ?></th>
                                                <th class="text-right"><?php echo e(trans('products.qty')); ?></th>
                                                <th class="text-right"><?php echo e(trans('general.cgst')); ?></th>
                                                <th class="text-right"><?php echo e(trans('general.sgst')); ?></th>
                                                <th class="text-right"><?php echo e(trans('general.discount')); ?></th>
                                                <th class="text-right"><?php echo e(trans('general.subtotal')); ?></th>
                                            </tr>
                                            </thead>
                                            <tbody>

                                            <?php $__currentLoopData = $invoice->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <th scope="row"><?php echo e($loop->iteration); ?></th>
                                                    <td>
                                                        <p><?php echo e($product['product_name']); ?></p>
                                                          <p class="text-muted"><?php echo $product['product_des']; ?></p><?php if($product['serial']): ?><?php echo e($product['serial']); ?><?php endif; ?>
                                                    </td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['product_price'])); ?></td>
                                                    <td class="text-right"><?php echo e(numberFormat($product['product_qty'])); ?> <?php echo e($product['unit']); ?></td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['total_tax']/2)); ?>

                                                        <span class="font-size-xsmall">(<?php echo e(numberFormat($product['product_tax']/2)); ?>%)</span>
                                                    </td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['total_tax']/2)); ?>

                                                        <span class="font-size-xsmall">(<?php echo e(numberFormat($product['product_tax']/2)); ?>%)</span>
                                                    </td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['total_discount'])); ?></td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['product_subtotal'])); ?></td>
                                                </tr>
                                                <tr>
                                                    <td colspan="8"><?php echo custom_fields_view(3,$product['product_id'],false); ?></td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </tbody>
                                        <?php endif; ?>

                                        <?php if($invoice['tax_format']=='igst'): ?>
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th><?php echo e(trans('products.product_des')); ?></th>
                                                <th class="text-right"><?php echo e(trans('products.price')); ?></th>
                                                <th class="text-right"><?php echo e(trans('products.qty')); ?></th>
                                                <th class="text-right"><?php echo e(trans('general.igst')); ?></th>
                                                <th class="text-right"><?php echo e(trans('general.discount')); ?></th>
                                                <th class="text-right"><?php echo e(trans('general.subtotal')); ?></th>
                                            </tr>
                                            </thead>
                                            <tbody>

                                            <?php $__currentLoopData = $invoice->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <th scope="row"><?php echo e($loop->iteration); ?></th>
                                                    <td>
                                                        <p><?php echo e($product['product_name']); ?></p>
                                                        <p class="text-muted"><?php echo $product['product_des']; ?></p><?php if($product['serial']): ?><?php echo e($product['serial']); ?><?php endif; ?>
                                                    </td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['product_price'])); ?></td>
                                                    <td class="text-right"><?php echo e(numberFormat($product['product_qty'])); ?> <?php echo e($product['unit']); ?></td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['total_tax'])); ?> <span
                                                                class="font-size-xsmall">(<?php echo e(numberFormat($product['product_tax'])); ?>%)</span>
                                                    </td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['total_discount'])); ?></td>
                                                    <td class="text-right"><?php echo e(amountFormat($product['product_subtotal'])); ?></td>
                                                </tr>
                                                <tr>
                                                    <td colspan="7"><?php echo custom_fields_view(3,$product['product_id'],false); ?></td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </tbody>
                                        <?php endif; ?>


                                    </table>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-7 col-sm-12 text-center text-md-left">
                                    <p class="lead"><?php echo e(trans('payments.payment_status')); ?>:</p>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <table class="table table-borderless table-md">
                                                <tbody>
                                                <tr>
                                                    <td><?php echo e(trans('payments.payment_status')); ?>:</td>
                                                    <td id="status"
                                                        class="badge st-<?php echo e($invoice['status']); ?>"><?php echo e(trans('payments.'.$invoice['status'])); ?></td>
                                                </tr>
                                                <?php if($invoice['pmethod']): ?>
                                                    <tr>
                                                        <td><?php echo e(trans('general.payment_method')); ?>:</td>
                                                        <td id="method"><?php echo e($invoice['pmethod']); ?></td>
                                                    </tr>
                                                <?php endif; ?>


                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-5 col-sm-12">
                                    <p class="lead"><?php echo e(trans('general.summary')); ?></p>
                                    <div class="table-responsive">
                                        <table class="table">
                                            <tbody>
                                            <tr>
                                                <td><?php echo e(trans('general.subtotal')); ?></td>
                                                <td class="text-right"><?php echo e(amountFormat($invoice['subtotal'])); ?></td>
                                            </tr>
                                            <?php if($invoice['tax']>0): ?>
                                                <tr>
                                                    <td><?php echo e(trans('general.tax')); ?></td>
                                                    <td class="text-right"><?php echo e(amountFormat($invoice['tax'])); ?></td>
                                                </tr><?php endif; ?>
                                            <?php if($invoice['discount']>0): ?>
                                                <tr>
                                                    <td><?php echo e(trans('general.discount')); ?></td>
                                                    <td class="text-right"><?php echo e(amountFormat($invoice['discount'])); ?></td>
                                                </tr><?php endif; ?>
                                            <?php if($invoice['shipping']>0): ?>
                                                <tr>
                                                    <td><?php echo e(trans('general.shipping')); ?></td>
                                                    <td class="text-right"><?php echo e(amountFormat($invoice['shipping'])); ?></td>
                                                </tr>
                                                <?php if($invoice['ship_tax']>0): ?>
                                                    <tr>
                                                        <td><?php echo e(trans('general.shipping_tax')); ?>

                                                            (<?php echo e(trans('general.'.$invoice['ship_tax_type'])); ?>)
                                                        </td>
                                                        <td class="text-right"><?php echo e(amountFormat($invoice['ship_tax'])); ?></td>
                                                    </tr><?php endif; ?>
                                            <?php endif; ?>
                                            <tr>
                                                <td class="text-bold-800"><?php echo e(trans('general.total')); ?></td>
                                                <td class="text-bold-800 text-right"><?php echo e(amountFormat($invoice['total'])); ?></td>
                                            </tr>
                                            <tr>
                                                <td><?php echo e(trans('general.payment_made')); ?></td>
                                                <td class="pink text-right">(-) <span
                                                            id="payment_made"><?php echo e(amountFormat($invoice['pamnt'])); ?></span>
                                                </td>
                                            </tr>
                                            <tr class="bg-grey bg-lighten-4">
                                                <td class="text-bold-800"><?php echo e(trans('general.balance_due')); ?></td>
                                                <td class="text-bold-800 text-right"
                                                    id="payment_due"> <?php echo e(amountFormat($invoice['total']-$invoice['pamnt'])); ?></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="text-center">
                                        <p><?php echo e(trans('general.authorized_person')); ?></p>
                                        <img src="<?php echo e(Storage::disk('public')->url('app/public/img/signs/' . $invoice->user->signature)); ?>"
                                             alt="signature" class="height-100 m-2"/>
                                        <h6><?php echo e($invoice->user->first_name); ?> <?php echo e($invoice->user->last_name); ?></h6>

                                    </div>
                                </div>
                            </div>
                        </div>

                    <?php echo custom_fields_view(2,$invoice['id']); ?>


                    <!-- Invoice Footer -->
                        <div id="invoice-footer">
                            <div class="row">
                                <div class="col-md-7 col-sm-12">
                                    <h5><?php echo e(trans('general.payment_terms')); ?></h5>
                                    <hr>
                                    <h5><?php echo e(@$invoice->term->title); ?></h5>
                                    <p><?php echo @$invoice->term->terms; ?></p>
                                </div>
                                <div class="col-md-5 col-sm-12 text-center">
                                    <?php if($invoice['status']!='canceled'): ?>   <a href="#sendEmail" data-toggle="modal"
                                                                             data-remote="false"
                                                                             data-type="1"
                                                                             data-type1="notification"
                                                                             class="btn btn-primary btn-lg my-1 send_bill"><i
                                                class="fa fa-paper-plane-o"></i> <?php echo e(trans('general.send')); ?>

                                    </a><?php endif; ?>
                                </div>
                            </div>
                        </div>


                        <!--/ Invoice Footer -->
                        <div class="row mt-2">

                            <div class="col-md-12">
                                <p class="lead"><?php echo e(trans('transactions.transactions')); ?></p>
                                <table class="table table-bordered table-md table-striped">
                                    <?php if(isset($invoice->transactions[0])): ?>
                                        <thead>
                                        <th>#</th>
                                        <th><?php echo e(trans('transactions.payment_date')); ?></th>
                                        <th class=""><?php echo e(trans('transactions.method')); ?></th>
                                        <th class="text-right"><?php echo e(trans('transactions.debit')); ?></th>
                                        <th class="text-right"><?php echo e(trans('transactions.credit')); ?></th>
                                        <th class=""><?php echo e(trans('transactions.note')); ?></th>
                                        </thead>     <?php endif; ?>
                                    <tbody id="transaction_activity">
                                    <?php $__currentLoopData = $invoice->transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <th scope="row"><?php echo e($loop->iteration); ?></th>
                                            <td>
                                                <p class="text-muted"><a
                                                            href="<?php echo e(route('biller.print_payslip',[$transaction['id'],1,1])); ?>"
                                                            class="btn btn-blue btn-sm"><span class="fa fa-print"
                                                                                              aria-hidden="true"></span></a> <?php echo e($transaction['payment_date']); ?>

                                                </p>
                                            </td>
                                            <td class=""><?php echo e($transaction['method']); ?></td>
                                            <td class="text-right"><?php echo e(amountFormat($transaction['debit'])); ?></td>
                                            <td class="text-right"><?php echo e(numberFormat($transaction['credit'])); ?></td>
                                            <td class=""><?php echo e($transaction['note']); ?></td>

                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>


                        <div class="row mt-2">
                            <div class="col-12">
                                <p class="lead"><?php echo e(trans('general.attachment')); ?></p>
                                <pre><?php echo e(trans('general.allowed')); ?>:   <?php echo e($features['value1']); ?> </pre>
                                <!-- The fileinput-button span is used to style the file input field as button -->
                                <div class="btn btn-success fileinput-button display-block col-2">
                                    <i class="glyphicon glyphicon-plus"></i>
                                    <span>Select files...</span>
                                    <!-- The file input field used as target for the file upload widget -->
                                    <input id="fileupload" type="file" name="files">
                                </div>
                            </div>
                        </div>
                        <!-- The global progress bar -->
                        <div id="progress" class="progress progress-sm mt-1 mb-0 col-md-3">
                            <div class="progress-bar bg-success" role="progressbar" style="width: 0%" aria-valuenow="0"
                                 aria-valuemin="0" aria-valuemax="100"></div>
                        </div>

                        <!-- The container for the uploaded files -->
                        <table id="files" class="files table table-striped mt-2">
                            <?php $__currentLoopData = $invoice->attachment; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><a data-url="<?php echo e(route('biller.bill_attachment')); ?>?op=delete&id=<?php echo e($row['id']); ?>"
                                           class="aj_delete red"><i class="btn-sm fa fa-trash"></i></a> <a
                                                href="<?php echo e(Storage::disk('public')->url('app/public/files/' . $row['value'])); ?>"
                                                class="purple"><i class="btn-sm fa fa-eye"></i> <?php echo e($row['value']); ?></a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </table>
                        <br>
                    </div>
                </section>
            </div>
        </div>
    </div>
    <?php echo $__env->make("focus.modal.payment_model",array('category'=>0), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make("focus.modal.email_model",array('category'=>1), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make("focus.modal.sms_model",array('category'=>2), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make("focus.modal.status_model", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make("focus.modal.cancel_model", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make("focus.modal.subscription_model", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('extra-style'); ?>
    <?php echo Html::style('focus/jq_file_upload/css/jquery.fileupload.css'); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('extra-scripts'); ?>
    <?php echo e(Html::script('focus/jq_file_upload/js/jquery.fileupload.js')); ?>

    <script type="text/javascript">
        $('[data-toggle="datepicker"]').datepicker({
            autoHide: true,
            format: '<?php echo e(config('core.user_date_format')); ?>'
        });
        $('[data-toggle="datepicker"]').datepicker('setDate', '<?php echo e(date(config('core.user_date_format'))); ?>');
        $(function () {
            'use strict';
            $('.summernote').summernote({
                height: 150,
                toolbar: [
                    // [groupName, [list of button]]
                    ['style', ['bold', 'italic', 'underline', 'clear']],
                    ['font', ['strikethrough', 'superscript', 'subscript']],
                    ['fontsize', ['fontsize']],
                    ['color', ['color']],
                    ['para', ['ul', 'ol', 'paragraph']],
                    ['height', ['height']],
                    ['fullscreen', ['fullscreen']],
                    ['codeview', ['codeview']]
                ],
                popover: {}
            });
            // Change this to the location of your server-side upload handler:
            var url = '<?php echo e(route('biller.bill_attachment')); ?>';
            $('#fileupload').fileupload({
                url: url,
                dataType: 'json',
                formData: {_token: "<?php echo e(csrf_token()); ?>", id: '<?php echo e($invoice['id']); ?>', 'bill': 1},
                done: function (e, data) {

                    $.each(data.result, function (index, file) {
                        $('#files').append('<tr><td><a data-url="<?php echo e(route('biller.bill_attachment')); ?>?op=delete&id= ' + file.id + ' " class="aj_delete red"><i class="btn-sm fa fa-trash"></i></a> ' + file.name + ' </td></tr>');
                    });

                },
                progressall: function (e, data) {

                    var progress = parseInt(data.loaded / data.total * 100, 10);

                    $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                    );

                }
            }).prop('disabled', !$.support.fileInput)
                .parent().addClass($.support.fileInput ? undefined : 'disabled');


            $(document).on('click', ".aj_delete", function (e) {
                e.preventDefault();
                var aurl = $(this).attr('data-url');
                var obj = $(this);
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    url: aurl,
                    type: 'POST',
                    dataType: 'json',
                    success: function (data) {
                        obj.closest('tr').remove();
                        obj.remove();
                    }
                });

            });
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/invoices/view.blade.php ENDPATH**/ ?>