<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <style>
        body {
            font-size: 10pt;
            line-height: 11pt;
            font-family: '<?php echo e(config('pdf.default_font')); ?>';
        }

        .product th,
        table .product {
            border-top: 1px solid #2B2B2B;
            border-collapse: collapse;
            font-size: 10pt;
            font-weight: 600;
        }

        .sum_table th, table .sum_table {
            border-collapse: collapse;
            font-size: 10pt;
        }

        .sum_table td, .sum_table tr {
            border-collapse: collapse;
            font-size: 10pt;
            padding-top: 5pt;
        }

        .product td, .product tr {
            border-top: 1px solid #8c8c8c;
            border-collapse: collapse;
            font-size: 10pt;
            padding-top: 5pt;
        }

        td.description,
        th.description {
            width: 33mm;
            max-width: 57mm;
        }

        td.quantity,
        th.quantity {
            width: 12mm;
            max-width: 12mm;
            word-break: break-all;
        }

        td.price,
        th.price {
            width: 12mm;
            max-width: 12mm;
            word-break: break-all;
        }

        td.summary {
            width: 28mm;
            max-width: 28mm;
            word-break: break-all;

        }

        .text_right {
            text-align: right;
        }


        .align_center {
            text-align: center;
            align-content: center;
        }

        .receipt {
            width: 57mm;
            max-width: 57mm;
        }

        img {
            max-width: inherit;
            width: inherit;
            max-height: 20mm;
        }

        .stamp {
            margin: 5pt;
            padding: 3pt;
            border: 3pt solid #111;
            text-align: center;
            font-size: 20pt;
            color
        }

    </style>
    <title><?php echo e($general['lang_bill_number']); ?></title>
</head>
<body dir="<?php echo e($general['direction']); ?>">
<div class="receipt">
    <div class="align_center"><img
                src="<?php echo e(Storage::disk('public')->url('app/public/img/company/' . $company['logo'])); ?>">
    </div>
    <p class="align_center"><?php echo e($company['cname']); ?><small>
            <br><?php echo e($company['address']); ?>, <?php echo e($company['city']); ?>

            <br><?php echo e(trans('pos.ph')); ?><?php echo e($company['phone']); ?> </small>
    </p>
    <p><small>
            <?php echo e($general['lang_bill_number']); ?> :<?php echo e(prefix($general['prefix'],$invoice['ins'])); ?> # <?php echo e($invoice['tid']); ?>

            <br><?php echo e($general['person']); ?> : <?php echo e($invoice->customer->name); ?>

        </small></p>
    <table class="product">
        <thead>
        <tr>
            <th class="description"><?php echo e(trans('products.product_des')); ?></th>
            <th class="quantity"><?php echo e(trans('products.qty')); ?></th>
            <th class="price"><?php echo e(trans('general.amount')); ?></th>
        </tr>
        </thead>
        <tbody>
        <?php
            $height =130;
           foreach ($invoice->products as $row) {
            $height +=8;
            $length=strlen($row['product_name']);
            $rows=(integer)($length/10);
            $height +=2*$rows;
               echo '<tr>
               <td >' . $row['product_name'].' </td>
                <td>' . +$row['product_qty'] . ' ' . $row['unit'] . '</td>
               <td>' . numberFormat($row['product_subtotal'], $invoice['currency']) . '</td>
           </tr>';
           }

        ?>

        </tbody>
    </table>
    <hr>
    <table class="sum_table">
        <tbody>
        <tr>
            <td class="summary text_right"><?php echo e(trans('general.tax')); ?> :</td>
            <td class="summary"><?php echo e(amountFormat($invoice['tax'], $invoice['currency'])); ?></td>
        </tr>
        <tr>
            <td class="summary text_right"><?php echo e(trans('general.discount')); ?> :</td>
            <td class="summary"><?php echo e(amountFormat($invoice['discount'], $invoice['currency'])); ?></td>
        </tr>
        <tr>
            <td class="summary text_right"><?php echo e(trans('general.grand_total')); ?> :</td>
            <td class="summary"><?php echo e(amountFormat($invoice['total'], $invoice['currency'])); ?></td>
        </tr>
        </tbody>
    </table>
    <hr>
    <p class="align_center"><small><?php echo e(trans('invoices.short_thank_you_note')); ?></small></p>
    <?php if(isset($image)): ?>

        <?php
            $height +=40;
        ?>
        <div class="align_center">
            <small><?php echo e(trans('invoices.scan_pay')); ?></small><br>
            <img style="max-height:170px;" src='<?php echo e($image); ?>' alt='QR'>
        </div>
    <?php else: ?>
        <div class="stamp"> <?php echo e(trans('payments.'.$invoice['status'])); ?></div>
    <?php endif; ?>
    <?php
        session(['height' =>$height]);
    ?>
</div>
</body>
</html>
<?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/bill/print_compact_v1.blade.php ENDPATH**/ ?>