<?php $__env->startSection('title', trans('labels.backend.tasks.management')); ?>

<?php $__env->startSection('page-header'); ?>
    <h1><?php echo e(trans('labels.backend.tasks.management')); ?></h1>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="">
        <div class="sidebar-left">
            <div class="sidebar">
                <div class="sidebar-content sidebar-todo">
                    <div class="card">
                        <div class="card-body">
                            <?php if (access()->allow('task-create')): ?>
                            <div class="form-group form-group-compose text-center">
                                <button type="button" class="btn btn-info btn-block" id="addt" data-toggle="modal"
                                        data-target="#AddTaskModal">
                                    <?php echo e(trans('tasks.new_task')); ?>

                                </button>
                            </div>
                            <?php endif; ?>
                            <div class="sidebar-todo-container">
                                <h6 class="text-muted text-bold-500 my-1"></h6>
                                <div class="list-group list-group-messages">
                                    <a href="<?php echo e(route('biller.dashboard')); ?>"
                                       class="list-group-item list-group-item-action border-0">
                                        <i class="icon-home mr-1"></i>
                                        <span><?php echo e(trans('navs.frontend.dashboard')); ?></span>
                                    </a>
                                    <a href="<?php echo e(route('biller.todo')); ?>"
                                       class="list-group-item list-group-item-action border-0">
                                        <i class="icon-list mr-1"></i>
                                        <span><?php echo e(trans('general.tasks')); ?></span><span
                                                class="badge badge-secondary badge-pill float-right"></span>
                                    </a>
                                    <a href="<?php echo e(route('biller.messages')); ?>"
                                       class="list-group-item list-group-item-action border-0">
                                        <i class="icon-bell mr-1"></i>
                                        <span><?php echo e(trans('general.messages')); ?></span>
                                        <span class="badge badge-danger badge-pill float-right"><?php echo e(Auth::user()->newThreadsCount()); ?></span>
                                    </a>

                                </div>

                                <?php if (access()->allow('misc-manage')): ?>
                                <h6 class="text-muted text-bold-500 my-1"><?php echo e(trans('general.tags')); ?></h6>
                                <div class="list-group list-group-messages">
                                    <?php $__currentLoopData = $mics->where('section','=',1); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                        <a href="#" class="list-group-item list-group-item-action border-0">
                                            <i class="ft-circle mr-1" style="color: <?php echo e($row['color']); ?>"></i>
                                            <span> <?php echo e($row['name']); ?> </span>
                                        </a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="content-right">
            <div class="content-wrapper">
                <div class="content-header row">
                </div>
                <div class="content-body">
                    <div class="content-overlay"></div>
                    <!-- Modal -->
                    <?php echo $__env->make('focus.projects.modal.task_new', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <div class="card todo-details rounded-0">
                        <div class="sidebar-toggle d-block d-lg-none info"><i class="ft-menu font-large-1"></i></div>
                        <div class="search">

                        </div>

                        <div class="card-body">
                            <table id="tasks-table"
                                   class="table table-striped table-bordered zero-configuration" cellspacing="0"
                                   width="100%">

                                <thead>
                                <tr>
                                    <th><?php echo e(trans('tasks.task')); ?></th>
                                    <th><?php echo e(trans('tasks.start')); ?></th>
                                    <th><?php echo e(trans('tasks.duedate')); ?></th>
                                    <th><?php echo e(trans('tasks.status')); ?></th>

                                    <th><?php echo e(trans('labels.general.actions')); ?></th>
                                </tr>
                                </thead>

                                <tbody>
                                <tr>
                                    <td colspan="100%" class="text-center text-success font-large-1"><i
                                                class="fa fa-spinner spinner"></i></td>
                                </tr>
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- END: Content-->

    <div class="sidenav-overlay"></div>
    <div class="drag-target"></div>
    <input type="hidden" id="loader_url" value="<?php echo e(route('biller.tasks.load')); ?>">
    <?php echo $__env->make('focus.projects.modal.task_view', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('after-styles'); ?>
    <?php echo e(Html::style('core/app-assets/css-'.visual().'/pages/app-todo.css')); ?>

    <?php echo e(Html::style('core/app-assets/css-'.visual().'/plugins/forms/checkboxes-radios.css')); ?>

    <?php echo Html::style('focus/css/bootstrap-colorpicker.min.css'); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('after-scripts'); ?>
    <?php echo e(Html::script(mix('js/dataTable.js'))); ?>

    <?php echo e(Html::script('core/app-assets/vendors/js/extensions/moment.min.js')); ?>

    <?php echo e(Html::script('core/app-assets/vendors/js/extensions/fullcalendar.min.js')); ?>

    <?php echo e(Html::script('core/app-assets/vendors/js/extensions/dragula.min.js')); ?>

    <?php echo e(Html::script('core/app-assets/js/scripts/pages/app-todo.js')); ?>

    <?php echo e(Html::script('focus/js/select2.min.js')); ?>

    <?php echo e(Html::script('focus/js/bootstrap-colorpicker.min.js')); ?>


    <script type="text/javascript">
        $(function () {
            setTimeout(function () {
                draw_data()
            }, <?php echo e(config('master.delay')); ?>);
        });

        function draw_data() {

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var dataTable = $('#tasks-table').dataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                language: {
                    <?php echo app('translator')->get('datatable.strings'); ?>
                },
                ajax: {
                    url: '<?php echo e(route("biller.tasks.get")); ?>',
                    type: 'post'
                },
                columns: [
                    {data: 'tags', name: 'tags'},
                    {data: 'start', name: 'start'},
                    {data: 'duedate', name: 'duedate'},
                    {data: 'status', name: 'status'},

                    {data: 'actions', name: 'actions', searchable: false, sortable: false}
                ],
                order: [[0, "desc"]],
                searchDelay: 500,
                dom: 'Blfrtip',
                buttons: {
                    buttons: [

                        {extend: 'csv', footer: true, exportOptions: {columns: [0, 1]}},
                        {extend: 'excel', footer: true, exportOptions: {columns: [0, 1]}},
                        {extend: 'print', footer: true, exportOptions: {columns: [0, 1]}}
                    ]
                }
            });
            $('#tasks-table_wrapper').removeClass('form-inline');

            <?php echo $__env->make('focus.projects.adt.new_task_js', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        }

        function trigger(data) {

            $(data.row).prependTo("table > tbody");

            $("#data_form_task").trigger('reset');

        }


    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('core.layouts.app',['page'=>'class="horizontal-layout horizontal-menu content-left-sidebar todo " data-open="click" data-menu="horizontal-menu" '], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/projects/tasks/index.blade.php ENDPATH**/ ?>