<?php $__env->startSection('title', trans('labels.backend.invoices.management')); ?>
<?php $__env->startSection('page-header'); ?>
    <h1><?php echo e(trans('labels.backend.invoices.management')); ?></h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>


    <div class="">
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-6 col-12 mb-2">
                    <h4 class="content-header-title mb-0"><?php echo e($input['title']); ?></h4>

                </div>
                <div class="content-header-right col-md-6 col-12">
                    <div class="media width-250 float-right">

                        <div class="media-body media-right text-right">

                            <?php echo $__env->make('focus.invoices.partials.invoices-header-buttons',$input, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php if($segment): ?>
                <?php
                    $total=$segment->invoices->sum('total');
                    $paid=$segment->invoices->sum('pamnt');
                    $due=$total-$paid;
                ?>
                <div class="card">

                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e($words['name']); ?> </p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e($words['name_data']); ?></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('customers.email')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e($segment->email); ?></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('general.total_amount')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e(amountFormat($total)); ?></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('payments.paid_amount')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e(amountFormat($paid)); ?></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2">
                                <p><?php echo e(trans('general.balance_due')); ?></p>
                            </div>
                            <div class="col-sm-6">
                                <p><?php echo e(amountFormat($due)); ?></p>
                            </div>
                        </div>

                    </div>
                </div>
            <?php endif; ?>
            <div class="content-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">

                            <div class="card-content">

                                <div class="card-body">
                                    <div class="row">

                                        <div class="col-md-2"><?php echo e(trans('general.search_date')); ?> </div>
                                        <div class="col-md-2">
                                            <input type="text" name="start_date" id="start_date"
                                                   data-toggle="datepicker"
                                                   class="date30 form-control form-control-sm" autocomplete="off"/>
                                        </div>
                                        <div class="col-md-2">
                                            <input type="text" name="end_date" id="end_date"
                                                   class="form-control form-control-sm"
                                                   data-toggle="datepicker" autocomplete="off"/>
                                        </div>

                                        <div class="col-md-2">
                                            <input type="button" name="search" id="search" value="Search"
                                                   class="btn btn-info btn-sm"/>
                                        </div>

                                    </div>
                                    <hr>
                                    <table id="invoices-table_<?php echo e($input['meta']); ?>"
                                           class="table table-striped table-bordered zero-configuration" cellspacing="0"
                                           width="100%">
                                        <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo e(trans('invoices.invoice')); ?> #<?php echo e(prefix($input['pre'])); ?></th>
                                            <th><?php echo e(trans('customers.customer')); ?></th>
                                            <th><?php echo e(trans('invoices.invoice_date')); ?></th>
                                            <th><?php echo e(trans('general.amount')); ?></th>
                                            <th><?php echo e(trans('general.status')); ?></th>
                                            <th><?php echo e(trans('invoices.invoice_due_date')); ?></th>
                                            <th><?php echo e(trans('orders.order')); ?></th>
                                            <th><?php echo e(trans('labels.general.actions')); ?></th>
                                        </tr>
                                        </thead>


                                        <tbody>
                                        <tr>
                                            <td colspan="8" class="text-center text-success font-large-1"><i
                                                    class="fa fa-spinner spinner"></i></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('after-scripts'); ?>
    
    <?php echo e(Html::script(mix('js/dataTable.js'))); ?>


    <script>
        //Below written line is short form of writing $(document).ready(function() { })
        $(function () {
            setTimeout(function () {
                draw_data()
            }, <?php echo e(config('master.delay')); ?>);


            $('#search').click(function () {
                var start_date = $('#start_date').val();
                var end_date = $('#end_date').val();
                if (start_date != '' && end_date != '') {
                    $('#invoices-table_<?php echo e($input['meta']); ?>').DataTable().destroy();
                    draw_data(start_date, end_date);
                } else {
                    alert("Date range is Required");
                }
            });
            $('[data-toggle="datepicker"]').datepicker({
                autoHide: true,
                format: '<?php echo e(config('core.user_date_format')); ?>'
            });
            $('[data-toggle="datepicker"]').datepicker('setDate', '<?php echo e(date(config('core.user_date_format'))); ?>');

        });

        function draw_data(start_date = '', end_date = '') {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var dataTable = $('#invoices-table_<?php echo e($input['meta']); ?>').dataTable({
                processing: true,
                stateSave: true,
                serverSide: true,
                responsive: true,
                "deferRender": true,

                language: {
                    <?php echo app('translator')->get('datatable.strings'); ?>
                },
                ajax: {
                    url: '<?php echo e(route("biller.invoices.get")); ?>',
                    type: 'post',
                    data: {
                        <?php if($segment): ?> i_rel_id: '<?php echo e($segment['id']); ?>',
                        i_rel_type: '<?php echo e($input['rel_type']); ?>', <?php endif; ?> <?php echo $input['sub_json']; ?>,
                        start_date: start_date,
                        end_date: end_date
                    },
                },
                columns:
                    [
                        {data: 'DT_Row_Index', name: 'id'},
                        {data: 'tid', name: 'tid'},
                        {data: 'customer', name: 'customer'},
                        {data: 'invoicedate', name: 'invoicedate'},
                        {data: 'total', name: 'total'},
                        {data: 'status', name: 'status'},
                        {data: 'invoiceduedate', name: 'invoiceduedate'},

                        {data: 'order_id', name: 'order_id', visible: false},
                        {data: 'actions', name: 'actions', searchable: false, sortable: false}
                    ],
                orderBy:
            [[1, "desc"]],
                searchDelay
        :
            500,
                dom
        :
            'Blfrtip',


                buttons
        :
            {
                buttons: [
                    {extend: 'csv', footer: true, exportOptions: {columns: [1, 2, 3, 4, 5]}},
                    {extend: 'excel', footer: true, exportOptions: {columns: [1, 2, 3, 4, 5]}},
                    {extend: 'print', footer: true, exportOptions: {columns: [1, 2, 3, 4, 5]}}
                ]
            }
        })
            ;
            $('#invoices-table_<?php echo e($input['meta']); ?>_wrapper').removeClass('form-inline');
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/invoices/index.blade.php ENDPATH**/ ?>