<?php $__env->startSection('title', trans('labels.backend.hrms.management') . ' | ' . trans('labels.backend.hrms.create')); ?>

<?php $__env->startSection('page-header'); ?>
    <h1>
        <?php echo e(trans('labels.backend.hrms.management')); ?>

        <small><?php echo e(trans('hrms.attendance')); ?></small>
    </h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="">
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-6 col-12 mb-2">
                    <h4 class="content-header-title mb-0"><?php echo e(trans('hrms.attendance')); ?></h4>
                </div>
                <div class="content-header-right col-md-6 col-12">
                    <div class="media width-250 float-right">

                        <div class="media-body media-right text-right">
                            <?php echo $__env->make('focus.hrms.partials.att-header-buttons', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-content">
                                <div class="card-body">
                                    <table id="attendance_all-table"
                                           class="table table-striped table-bordered zero-configuration" cellspacing="0"
                                           width="100%">
                                        <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo e(trans('hrms.employees')); ?></th>
                                            <th><?php echo e(trans('general.date')); ?></th>
                                            <th><?php echo e(trans('hrms.entry_time')); ?></th>
                                            <th><?php echo e(trans('hrms.exit_time')); ?></th>
                                            <th>*</th>
                                        </tr>
                                        </thead>


                                        <tbody>
                                        <tr>
                                            <td colspan="100%" class="text-center text-success font-large-1"><i
                                                        class="fa fa-spinner spinner"></i></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('focus.hrms.partials.delete_2', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>


<?php $__env->startSection("after-scripts"); ?>
    <?php echo e(Html::script(mix('js/dataTable.js'))); ?>

    <script type="text/javascript">

        $(function () {
            setTimeout(function () {
                attend()
            }, <?php echo e(config('master.delay')); ?>);
        });

        function attend() {

            var dataTable = $('#attendance_all-table').dataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                language: {
                    <?php echo app('translator')->get('datatable.strings'); ?>
                },
                ajax: {
                    url: '<?php echo e(route("biller.hrms.attendance_load")); ?>',
                    type: 'post'
                },
                columns: [
                    {data: 'DT_Row_Index', name: 'id'},
                    {data: 'name', name: 'name'},
                    {data: 'present', name: 'present'},
                    {data: 't_from', name: 't_from'},
                    {data: 't_to', name: 't_to'},
                    {data: 'remove', name: 'remove'}

                ],
                order: [[0, "asc"]],
                searchDelay: 500,
                dom: 'Blfrtip',
                buttons: {
                    buttons: [

                        {extend: 'csv', footer: true, exportOptions: {columns: [0, 1, 2,3,4]}},
                        {extend: 'excel', footer: true, exportOptions: {columns: [0, 1, 2,3,4]}},
                        {extend: 'print', footer: true, exportOptions: {columns: [0, 1, 2,3,4]}}
                    ]
                }
            });
            $('#attendance_all-table_wrapper').removeClass('form-inline');

        }

        function trigger(data) {
            switch (data.t_type) {
                case 1:
                    $('#a_' + data.meta).closest('tr').remove();
                    break;
            }
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/hrms/attendance_list.blade.php ENDPATH**/ ?>