<?php $__env->startSection('title', trans('labels.backend.accounts.management')); ?>

<?php $__env->startSection('page-header'); ?>
    <h1><?php echo e(trans('labels.backend.accounts.management')); ?></h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="">
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-6 col-12 mb-2">
                    <h4 class="content-header-title mb-0"><?php echo e(trans('labels.backend.accounts.management')); ?></h4>

                </div>
                <div class="content-header-right col-md-6 col-12">
                    <div class="media width-250 float-right">

                        <div class="media-body media-right text-right">
                            <?php echo $__env->make('focus.accounts.partials.accounts-header-buttons', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-body">
                <div class="row">
                    <div class="col-12">
                        <div class="card">

                            <div class="card-content">

                                <div class="card-body">
                                    <table id="accounts-table"
                                           class="table table-striped table-bordered zero-configuration" cellspacing="0"
                                           width="100%">
                                        <thead>
                                        <tr>
                                            <th>#</th>
                                            <th><?php echo e(trans('accounts.number')); ?></th>
                                            <th><?php echo e(trans('accounts.holder')); ?></th>
                                            <?php if(dual_entry()): ?>
                                                <th><?php echo e(trans('transactions.debit')); ?></th>
                                            <?php endif; ?>
                                            <th><?php echo e(trans('transactions.credit')); ?> / <?php echo e(trans('accounts.balance')); ?> *</th>
                                            <th><?php echo e(trans('accounts.account_type')); ?></th>

                                            <th><?php echo e(trans('general.createdat')); ?></th>
                                            <th><?php echo e(trans('labels.general.actions')); ?></th>
                                        </tr>
                                        </thead>


                                        <tbody>
                                        <tr>
                                            <td colspan="100%" class="text-center text-success font-large-1"><i
                                                        class="fa fa-spinner spinner"></i></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                    <hr>
                                    <small>* referred to  account balance in single entry system.</small>
                                </div>


                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('after-scripts'); ?>
    
    <?php echo e(Html::script(mix('js/dataTable.js'))); ?>


    <script>
        $(function () {
            setTimeout(function () {
                draw_data()
            }, <?php echo e(config('master.delay')); ?>);
        });

        function draw_data() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var dataTable = $('#accounts-table').dataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                ajax: {
                    url: '<?php echo e(route("biller.accounts.get")); ?>',
                    type: 'post'
                },
                columns: [
                    {data: 'DT_Row_Index', name: 'id'},
                    {data: 'number', name: 'number'},
                    {data: 'holder', name: 'holder'},
                    <?php if(dual_entry()): ?>{data: 'debit', name: 'debit'},<?php endif; ?>
                    {data: 'balance', name: 'balance'},
                    {data: 'account_type', name: 'account_type'},
                    {data: 'created_at', name: 'created_at'},
                    {data: 'actions', name: 'actions', searchable: false, sortable: false}
                ],
                order: [[0, "asc"]],
                searchDelay: 500,
                dom: 'Blfrtip',
                buttons: {
                    buttons: [

                        {extend: 'csv', footer: true, exportOptions: {columns: [0, 1,2,3,4.5]}},
                        {extend: 'excel', footer: true, exportOptions: {columns:  [0, 1,2,3,4,5]}},
                        {extend: 'print', footer: true, exportOptions: {columns:  [0, 1,2,3,4,5]}}
                    ]
                }
            });
            $('#accounts-table_wrapper').removeClass('form-inline');

        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('core.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/u997099361/domains/nacionalcode.org/public_html/pos8/resources/views/focus/accounts/index.blade.php ENDPATH**/ ?>